Linux v69820.1blu.de 4.15.0 #1 SMP Mon Sep 30 15:36:27 MSK 2024 x86_64
Apache/2.4.58
Server IP : 195.90.215.149 & Your IP : 216.73.216.250
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
bin /
Delete
Unzip
Name
Size
Permission
Date
Action
X11
[ DIR ]
drwxr-xr-x
2026-07-29 13:22
2to3-2.7
96
B
-rwxr-xr-x
2022-07-01 10:30
GET
15.87
KB
-rwxr-xr-x
2026-05-22 15:41
HEAD
15.87
KB
-rwxr-xr-x
2026-05-22 15:41
Mail
110.4
KB
-rwxr-xr-x
2024-04-08 15:54
POST
15.87
KB
-rwxr-xr-x
2026-05-22 15:41
[
54.44
KB
-rwxr-xr-x
2026-01-23 13:30
aa-enabled
18.3
KB
-rwxr-xr-x
2026-04-13 22:29
aa-exec
18.3
KB
-rwxr-xr-x
2026-04-13 22:29
aa-features-abi
18.3
KB
-rwxr-xr-x
2026-04-13 22:29
ab
58.43
KB
-rwxr-xr-x
2026-07-06 16:27
acorn
60
B
-rwxr-xr-x
2022-11-10 05:48
add-apt-repository
16.04
KB
-rwxr-xr-x
2026-01-05 16:17
addpart
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
addr2line
30.7
KB
-rwxr-xr-x
2026-02-09 21:03
agentxtrap
26.38
KB
-rwxr-xr-x
2026-01-06 12:41
amuFormat.sh
2.61
KB
-rwxr-xr-x
2024-04-08 16:13
apport-bug
2.27
KB
-rwxr-xr-x
2026-04-24 11:18
apport-cli
13.31
KB
-rwxr-xr-x
2026-04-28 17:12
apport-collect
2.27
KB
-rwxr-xr-x
2026-04-24 11:18
apport-unpack
3.7
KB
-rwxr-xr-x
2026-04-28 17:12
appres
14.3
KB
-rwxr-xr-x
2024-03-31 17:27
appstreamcli
138.23
KB
-rwxr-xr-x
2024-04-08 14:37
apropos
47.28
KB
-rwxr-xr-x
2024-04-08 14:45
apt
18.38
KB
-rwxr-xr-x
2024-10-22 13:02
apt-add-repository
16.04
KB
-rwxr-xr-x
2026-01-05 16:17
apt-cache
86.47
KB
-rwxr-xr-x
2024-10-22 13:02
apt-cdrom
26.47
KB
-rwxr-xr-x
2024-10-22 13:02
apt-config
30.39
KB
-rwxr-xr-x
2024-10-22 13:02
apt-extracttemplates
22.47
KB
-rwxr-xr-x
2024-10-22 13:02
apt-ftparchive
222.48
KB
-rwxr-xr-x
2024-10-22 13:02
apt-get
50.47
KB
-rwxr-xr-x
2024-10-22 13:02
apt-key
27.99
KB
-rwxr-xr-x
2024-10-22 13:02
apt-mark
54.47
KB
-rwxr-xr-x
2024-10-22 13:02
apt-sortpkgs
50.4
KB
-rwxr-xr-x
2024-10-22 13:02
aptdcon
1.01
KB
-rwxr-xr-x
2023-05-22 20:24
ar
54.48
KB
-rwxr-xr-x
2026-02-09 21:03
arborist
3.26
KB
-rwxr-xr-x
2023-11-23 07:39
arch
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
aria_chk
5.52
MB
-rwxr-xr-x
2025-10-11 02:08
aria_dump_log
5.31
MB
-rwxr-xr-x
2025-10-11 02:08
aria_ftdump
5.32
MB
-rwxr-xr-x
2025-10-11 02:08
aria_pack
5.35
MB
-rwxr-xr-x
2025-10-11 02:08
aria_read_log
5.48
MB
-rwxr-xr-x
2025-10-11 02:08
arping
26.15
KB
-rwxr-xr-x
2025-07-24 11:51
as
728.29
KB
-rwxr-xr-x
2026-02-09 21:03
aspell
150.48
KB
-rwxr-xr-x
2024-04-08 15:54
aspell-import
2
KB
-rwxr-xr-x
2024-04-08 15:54
awk
722.5
KB
-rwxr-xr-x
2026-07-20 22:38
b2sum
54.51
KB
-rwxr-xr-x
2026-01-23 13:30
babeljs
46
B
-rwxr-xr-x
2024-02-26 08:46
babeljs-7
46
B
-rwxr-xr-x
2024-02-26 08:46
babeljs-7-external-helpers
63
B
-rwxr-xr-x
2024-02-26 08:46
babeljs-7-node
51
B
-rwxr-xr-x
2024-02-26 08:46
babeljs-7-parser
328
B
-rwxr-xr-x
2024-02-26 08:46
babeljs-external-helpers
63
B
-rwxr-xr-x
2024-02-26 08:46
babeljs-node
51
B
-rwxr-xr-x
2024-02-26 08:46
babeljs-parser
328
B
-rwxr-xr-x
2024-02-26 08:46
base32
38.51
KB
-rwxr-xr-x
2026-01-23 13:30
base64
38.51
KB
-rwxr-xr-x
2026-01-23 13:30
basename
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
basenc
46.51
KB
-rwxr-xr-x
2026-01-23 13:30
bash
1.38
MB
-rwxr-xr-x
2024-03-31 08:41
bashbug
6.82
KB
-rwxr-xr-x
2024-03-31 08:41
bdftopcf
42.26
KB
-rwxr-xr-x
2024-04-08 16:22
bdftruncate
14.15
KB
-rwxr-xr-x
2024-04-08 16:22
broadwayd
122.3
KB
-rwxr-xr-x
2025-01-27 19:56
browse
25.46
KB
-rwxr-xr-x
2022-08-01 14:14
browserslist
4.25
KB
-rwxr-xr-x
2023-12-22 10:30
bsd-mailx
110.4
KB
-rwxr-xr-x
2024-04-08 15:54
bunzip2
38.38
KB
-rwxr-xr-x
2024-08-09 02:33
busctl
94.59
KB
-rwxr-xr-x
2026-06-05 15:36
bwrap
70.47
KB
-rwxr-xr-x
2024-09-23 18:15
bzcat
38.38
KB
-rwxr-xr-x
2024-08-09 02:33
bzcmp
2.17
KB
-rwxr-xr-x
2024-08-09 02:33
bzdiff
2.17
KB
-rwxr-xr-x
2024-08-09 02:33
bzegrep
3.69
KB
-rwxr-xr-x
2024-08-09 02:33
bzexe
4.78
KB
-rwxr-xr-x
2021-11-27 12:25
bzfgrep
3.69
KB
-rwxr-xr-x
2024-08-09 02:33
bzgrep
3.69
KB
-rwxr-xr-x
2024-08-09 02:33
bzip2
38.38
KB
-rwxr-xr-x
2024-08-09 02:33
bzip2recover
18.3
KB
-rwxr-xr-x
2024-08-09 02:33
bzless
1.27
KB
-rwxr-xr-x
2024-08-09 02:33
bzmore
1.27
KB
-rwxr-xr-x
2024-08-09 02:33
c++
1003.05
KB
-rwxr-xr-x
2025-12-18 20:59
c++filt
22.27
KB
-rwxr-xr-x
2026-02-09 21:03
c89
428
B
-rwxr-xr-x
2020-11-17 18:53
c89-gcc
428
B
-rwxr-xr-x
2020-11-17 18:53
c99
454
B
-rwxr-xr-x
2020-11-17 18:53
c99-gcc
454
B
-rwxr-xr-x
2020-11-17 18:53
c_rehash
6.68
KB
-rwxr-xr-x
2026-06-02 19:33
cal
36.95
KB
-rwxr-xr-x
2023-02-20 09:19
captoinfo
90.41
KB
-rwxr-xr-x
2026-06-30 21:25
cat
38.46
KB
-rwxr-xr-x
2026-01-23 13:30
catman
30.77
KB
-rwxr-xr-x
2024-04-08 14:45
cautious-launcher
758
B
-rwxr-xr-x
2026-07-02 14:59
cc
999.05
KB
-rwxr-xr-x
2025-12-18 20:59
certbot
958
B
-rwxr-xr-x
2024-02-09 01:14
cgi-fcgi
18.15
KB
-rwxr-xr-x
2025-04-30 08:36
chacl
18.3
KB
-rwxr-xr-x
2024-10-02 12:40
chage
70.49
KB
-rwxr-sr-x
2024-05-30 14:52
chardet
221
B
-rwxr-xr-x
2023-08-20 12:12
chardetect
221
B
-rwxr-xr-x
2023-08-20 12:12
chattr
14.31
KB
-rwxr-xr-x
2024-04-28 23:44
chcon
58.51
KB
-rwxr-xr-x
2026-01-23 13:30
checkgid
14.3
KB
-rwxr-xr-x
2026-07-06 16:27
chfn
71.09
KB
-rwsr-xr-x
2024-05-30 14:52
chgrp
58.51
KB
-rwxr-xr-x
2026-01-23 13:30
chmod
54.51
KB
-rwxr-xr-x
2026-01-23 13:30
choom
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
chown
58.51
KB
-rwxr-xr-x
2026-01-23 13:30
chrt
30.38
KB
-rwxr-xr-x
2026-03-06 16:00
chsh
43.71
KB
-rwsr-xr-x
2024-05-30 14:52
chvt
14.37
KB
-rwxr-xr-x
2024-03-31 09:02
ckbcomp
147.14
KB
-rwxr-xr-x
2024-02-26 12:58
cksum
102.52
KB
-rwxr-xr-x
2026-01-23 13:30
clear
14.31
KB
-rwxr-xr-x
2026-06-30 21:25
clear_console
14.23
KB
-rwxr-xr-x
2024-03-31 08:41
cmp
42.39
KB
-rwxr-xr-x
2024-04-08 15:55
codepage
14.3
KB
-rwxr-xr-x
2024-03-31 09:02
col
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
colcrt
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
colrm
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
column
38.38
KB
-rwxr-xr-x
2026-03-06 16:00
comm
38.52
KB
-rwxr-xr-x
2026-01-23 13:30
compose
18.06
KB
-rwxr-xr-x
2026-07-02 14:59
containerd
52.33
MB
-rwxr-xr-x
2024-06-18 19:00
containerd-shim
6.84
MB
-rwxr-xr-x
2024-06-18 19:00
containerd-shim-runc-v1
8.47
MB
-rwxr-xr-x
2024-06-18 19:00
containerd-shim-runc-v2
11.6
MB
-rwxr-xr-x
2024-06-18 19:00
corelist
15.01
KB
-rwxr-xr-x
2026-06-12 13:42
cp
138.52
KB
-rwxr-xr-x
2026-01-23 13:30
cpan
8.16
KB
-rwxr-xr-x
2026-06-12 13:42
cpan5.38-x86_64-linux-gnu
8.18
KB
-rwxr-xr-x
2026-06-12 13:42
cpio
137.67
KB
-rwxr-xr-x
2024-04-08 15:55
cpp
1003.05
KB
-rwxr-xr-x
2025-12-18 20:59
cpp-11
906.92
KB
-rwxr-xr-x
2025-12-18 07:26
cpp-12
1.33
MB
-rwxr-xr-x
2025-12-18 07:53
cpp-13
1003.05
KB
-rwxr-xr-x
2025-12-18 20:59
cpp-9
766.71
KB
-rwxr-xr-x
2026-01-12 02:59
crontab
38.73
KB
-rwxr-sr-x
2024-03-31 00:06
csh
455.8
KB
-rwxr-xr-x
2024-04-01 08:23
csplit
50.51
KB
-rwxr-xr-x
2026-01-23 13:30
ctr
26.93
MB
-rwxr-xr-x
2024-06-18 19:00
ctstat
22.66
KB
-rwxr-xr-x
2026-04-15 06:53
curl
290.32
KB
-rwxr-xr-x
2026-07-06 17:02
cut
38.51
KB
-rwxr-xr-x
2026-01-23 13:30
cvtsudoers
321.1
KB
-rwxr-xr-x
2026-03-02 12:56
dash
126.74
KB
-rwxr-xr-x
2024-03-31 08:47
date
106.51
KB
-rwxr-xr-x
2026-01-23 13:30
db5.3_archive
14.02
KB
-rwxr-xr-x
2024-04-13 13:12
db5.3_checkpoint
14.02
KB
-rwxr-xr-x
2024-04-13 13:12
db5.3_deadlock
14.02
KB
-rwxr-xr-x
2024-04-13 13:12
db5.3_dump
18.02
KB
-rwxr-xr-x
2024-04-13 13:12
db5.3_hotbackup
18.02
KB
-rwxr-xr-x
2024-04-13 13:12
db5.3_load
26.02
KB
-rwxr-xr-x
2024-04-13 13:12
db5.3_log_verify
14.02
KB
-rwxr-xr-x
2024-04-13 13:12
db5.3_printlog
34.02
KB
-rwxr-xr-x
2024-04-13 13:12
db5.3_recover
14.02
KB
-rwxr-xr-x
2024-04-13 13:12
db5.3_replicate
14.02
KB
-rwxr-xr-x
2024-04-13 13:12
db5.3_stat
14.02
KB
-rwxr-xr-x
2024-04-13 13:12
db5.3_tuner
22.02
KB
-rwxr-xr-x
2024-04-13 13:12
db5.3_upgrade
14.02
KB
-rwxr-xr-x
2024-04-13 13:12
db5.3_verify
14.02
KB
-rwxr-xr-x
2024-04-13 13:12
db_archive
14.02
KB
-rwxr-xr-x
2024-04-13 13:12
db_checkpoint
14.02
KB
-rwxr-xr-x
2024-04-13 13:12
db_deadlock
14.02
KB
-rwxr-xr-x
2024-04-13 13:12
db_dump
18.02
KB
-rwxr-xr-x
2024-04-13 13:12
db_hotbackup
18.02
KB
-rwxr-xr-x
2024-04-13 13:12
db_load
26.02
KB
-rwxr-xr-x
2024-04-13 13:12
db_log_verify
14.02
KB
-rwxr-xr-x
2024-04-13 13:12
db_printlog
34.02
KB
-rwxr-xr-x
2024-04-13 13:12
db_recover
14.02
KB
-rwxr-xr-x
2024-04-13 13:12
db_replicate
14.02
KB
-rwxr-xr-x
2024-04-13 13:12
db_stat
14.02
KB
-rwxr-xr-x
2024-04-13 13:12
db_upgrade
14.02
KB
-rwxr-xr-x
2024-04-13 13:12
db_verify
14.02
KB
-rwxr-xr-x
2024-04-13 13:12
dbilogstrip
1.35
KB
-rwxr-xr-x
2026-06-22 07:05
dbiprof
6.06
KB
-rwxr-xr-x
2026-06-22 07:05
dbiproxy
5.27
KB
-rwxr-xr-x
2026-06-22 07:05
dbus-cleanup-sockets
14.29
KB
-rwxr-xr-x
2024-08-09 02:33
dbus-daemon
230.64
KB
-rwxr-xr-x
2024-08-09 02:33
dbus-launch
30.14
KB
-rwxr-xr-x
2024-08-09 02:33
dbus-monitor
26.3
KB
-rwxr-xr-x
2024-08-09 02:33
dbus-run-session
14.3
KB
-rwxr-xr-x
2024-08-09 02:33
dbus-send
30.29
KB
-rwxr-xr-x
2024-08-09 02:33
dbus-update-activation-environment
14.29
KB
-rwxr-xr-x
2024-08-09 02:33
dbus-uuidgen
14.29
KB
-rwxr-xr-x
2024-08-09 02:33
dd
70.54
KB
-rwxr-xr-x
2026-01-23 13:30
deallocvt
14.37
KB
-rwxr-xr-x
2024-03-31 09:02
deb-systemd-helper
23.79
KB
-rwxr-xr-x
2023-12-06 07:46
deb-systemd-invoke
6.97
KB
-rwxr-xr-x
2023-12-06 07:47
debconf
2.8
KB
-rwxr-xr-x
2024-04-12 12:40
debconf-apt-progress
11.57
KB
-rwxr-xr-x
2024-04-12 12:40
debconf-communicate
623
B
-rwxr-xr-x
2024-04-12 12:40
debconf-copydb
1.68
KB
-rwxr-xr-x
2024-04-12 12:40
debconf-escape
668
B
-rwxr-xr-x
2024-04-12 12:40
debconf-get-selections
1.72
KB
-rwxr-xr-x
2024-04-12 12:40
debconf-getlang
6.94
KB
-rwxr-xr-x
2024-04-12 12:40
debconf-loadtemplate
944
B
-rwxr-xr-x
2024-04-12 12:40
debconf-mergetemplate
5.09
KB
-rwxr-xr-x
2024-04-12 12:40
debconf-set-selections
3.14
KB
-rwxr-xr-x
2024-04-12 12:40
debconf-show
1.78
KB
-rwxr-xr-x
2024-04-12 12:40
debian-distro-info
30.95
KB
-rwxr-xr-x
2024-04-08 15:56
delpart
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
desktop-file-edit
92.49
KB
-rwxr-xr-x
2024-03-31 08:47
desktop-file-install
92.49
KB
-rwxr-xr-x
2024-03-31 08:47
desktop-file-validate
80.77
KB
-rwxr-xr-x
2024-03-31 08:47
df
87.08
KB
-rwxr-xr-x
2026-01-23 13:30
dh_installxmlcatalogs
9.22
KB
-rwxr-xr-x
2023-12-12 02:01
dh_perl_dbi
1.17
KB
-rwxr-xr-x
2026-06-22 07:05
dh_perl_openssl
1.53
KB
-rwxr-xr-x
2022-05-01 18:31
dh_python3-ply
2.28
KB
-rwxr-xr-x
2018-07-25 07:05
dialog
254.66
KB
-rwxr-xr-x
2024-01-23 17:05
diff
134.55
KB
-rwxr-xr-x
2024-04-08 15:55
diff3
58.52
KB
-rwxr-xr-x
2024-04-08 15:55
dir
138.98
KB
-rwxr-xr-x
2026-01-23 13:30
dircolors
46.52
KB
-rwxr-xr-x
2026-01-23 13:30
dirmngr
473.77
KB
-rwxr-xr-x
2026-01-05 22:01
dirmngr-client
54.92
KB
-rwxr-xr-x
2026-01-05 22:01
dirname
34.38
KB
-rwxr-xr-x
2026-01-23 13:30
distro-info
26.89
KB
-rwxr-xr-x
2024-04-08 15:56
dmesg
68.64
KB
-rwxr-xr-x
2026-03-06 16:00
dnsdomainname
22.23
KB
-rwxr-xr-x
2024-04-08 15:59
dnssec-cds
51.39
KB
-rwxr-xr-x
2026-05-21 13:51
dnssec-dsfromkey
38.38
KB
-rwxr-xr-x
2026-05-21 13:51
dnssec-keyfromlabel
42.38
KB
-rwxr-xr-x
2026-05-21 13:51
dnssec-keygen
46.38
KB
-rwxr-xr-x
2026-05-21 13:51
dnssec-revoke
30.38
KB
-rwxr-xr-x
2026-05-21 13:51
dnssec-settime
46.38
KB
-rwxr-xr-x
2026-05-21 13:51
dnssec-signzone
90.41
KB
-rwxr-xr-x
2026-05-21 13:51
dnssec-verify
30.39
KB
-rwxr-xr-x
2026-05-21 13:51
do-release-upgrade
10.42
KB
-rwxr-xr-x
2026-01-19 15:31
docker
37.95
MB
-rwxr-xr-x
2024-06-29 00:02
docker-compose
996
B
-rwxr-xr-x
2024-03-09 10:48
docker-proxy
2.09
MB
-rwxr-xr-x
2024-06-29 00:02
dockerd
101.37
MB
-rwxr-xr-x
2024-06-29 00:02
dockerd-rootless-setuptool.sh
14.49
KB
-rwxr-xr-x
2024-06-29 00:02
dockerd-rootless.sh
7.08
KB
-rwxr-xr-x
2024-06-29 00:02
domainname
22.23
KB
-rwxr-xr-x
2024-04-08 15:59
dotlockfile
22.15
KB
-rwxr-sr-x
2024-04-08 16:05
dpkg
310.72
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-architecture
14.85
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-buildapi
1.79
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-buildflags
8.14
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-buildpackage
34.2
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-buildtree
1.88
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-checkbuilddeps
7.45
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-deb
142.58
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-distaddfile
2.72
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-divert
118.57
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-genbuildinfo
18.54
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-genchanges
17.92
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-gencontrol
14.29
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-gensymbols
10.66
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-maintscript-helper
20.71
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-mergechangelogs
8.87
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-name
6.61
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-parsechangelog
4.83
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-query
134.56
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-realpath
4.09
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-scanpackages
8.45
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-scansources
9.1
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-shlibdeps
31.46
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-source
23.05
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-split
98.53
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-statoverride
50.38
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-trigger
42.53
KB
-rwxr-xr-x
2026-05-06 17:38
dpkg-vendor
3.18
KB
-rwxr-xr-x
2026-05-06 17:38
dselect
222.58
KB
-rwxr-xr-x
2026-05-06 17:38
du
98.51
KB
-rwxr-xr-x
2026-01-23 13:30
dumpkeys
162.85
KB
-rwxr-xr-x
2024-03-31 09:02
dvipdf
1007
B
-rwxr-xr-x
2025-09-25 16:37
dwp
1.87
MB
-rwxr-xr-x
2026-02-09 21:03
echo
34.38
KB
-rwxr-xr-x
2026-01-23 13:30
ed
58.55
KB
-rwxr-xr-x
2024-02-17 11:12
edit
18.06
KB
-rwxr-xr-x
2026-07-02 14:59
editor
3.94
MB
-rwxr-xr-x
2026-07-13 17:17
editres
72.69
KB
-rwxr-xr-x
2024-03-31 17:27
egrep
41
B
-rwxr-xr-x
2024-04-08 15:58
eject
42.23
KB
-rwxr-xr-x
2026-03-06 16:00
elfedit
34.72
KB
-rwxr-xr-x
2026-02-09 21:03
enc2xs
40.96
KB
-rwxr-xr-x
2026-06-12 13:42
encguess
3
KB
-rwxr-xr-x
2026-06-12 13:42
enchant-2
22.3
KB
-rwxr-xr-x
2024-03-31 07:33
enchant-lsmod-2
14.3
KB
-rwxr-xr-x
2024-03-31 07:33
encode_keychange
22.3
KB
-rwxr-xr-x
2026-01-06 12:41
env
46.95
KB
-rwxr-xr-x
2026-01-23 13:30
envsubst
34.38
KB
-rwxr-xr-x
2024-04-08 15:58
eps2eps
639
B
-rwxr-xr-x
2025-09-25 16:37
epsffit
18.15
KB
-rwxr-xr-x
2024-02-17 18:37
eqn
188.45
KB
-rwxr-xr-x
2024-03-31 08:54
escodegen
2.65
KB
-rwxr-xr-x
2023-10-17 07:31
esgenerate
2.36
KB
-rwxr-xr-x
2023-10-17 07:31
eslint
2.57
KB
-rwxr-xr-x
2019-09-14 01:35
esparse
4.83
KB
-rwxr-xr-x
2018-06-16 14:36
esvalidate
7.56
KB
-rwxr-xr-x
2018-06-16 14:36
ex
3.94
MB
-rwxr-xr-x
2026-07-13 17:17
expand
34.53
KB
-rwxr-xr-x
2026-01-23 13:30
expiry
26.52
KB
-rwxr-sr-x
2024-05-30 14:52
expr
42.41
KB
-rwxr-xr-x
2026-01-23 13:30
extractres
2.68
KB
-rwxr-xr-x
2024-02-17 18:37
factor
62.51
KB
-rwxr-xr-x
2026-01-23 13:30
faillog
22.63
KB
-rwxr-xr-x
2024-05-30 14:52
faked-sysv
30.39
KB
-rwxr-xr-x
2024-01-21 16:56
faked-tcp
34.38
KB
-rwxr-xr-x
2024-01-21 16:56
fakeroot
3.9
KB
-rwxr-xr-x
2024-01-21 16:56
fakeroot-sysv
3.9
KB
-rwxr-xr-x
2024-01-21 16:56
fakeroot-tcp
3.9
KB
-rwxr-xr-x
2024-01-21 16:56
fallocate
26.38
KB
-rwxr-xr-x
2026-03-06 16:00
false
26.3
KB
-rwxr-xr-x
2026-01-23 13:30
fc-cache
22.38
KB
-rwxr-xr-x
2024-03-31 00:59
fc-cat
18.38
KB
-rwxr-xr-x
2024-03-31 00:59
fc-conflist
14.38
KB
-rwxr-xr-x
2024-03-31 00:59
fc-list
14.38
KB
-rwxr-xr-x
2024-03-31 00:59
fc-match
14.38
KB
-rwxr-xr-x
2024-03-31 00:59
fc-pattern
14.38
KB
-rwxr-xr-x
2024-03-31 00:59
fc-query
14.38
KB
-rwxr-xr-x
2024-03-31 00:59
fc-scan
14.38
KB
-rwxr-xr-x
2024-03-31 00:59
fc-validate
14.38
KB
-rwxr-xr-x
2024-03-31 00:59
fcgistarter
14.3
KB
-rwxr-xr-x
2026-07-06 16:27
fetchmail
302.7
KB
-rwxr-xr-x
2025-10-08 11:40
fgconsole
14.37
KB
-rwxr-xr-x
2024-03-31 09:02
fgrep
41
B
-rwxr-xr-x
2024-04-08 15:58
filan
50.48
KB
-rwxr-xr-x
2026-07-03 12:45
file
30.6
KB
-rwxr-xr-x
2024-03-31 07:35
find
199.48
KB
-rwxr-xr-x
2024-04-08 15:57
findmnt
67.66
KB
-rwxr-xr-x
2026-03-06 16:00
finger
30.63
KB
-rwxr-xr-x
2019-07-07 23:09
fixdlsrps
1.53
KB
-rwxr-xr-x
2024-02-17 18:37
fixfmps
599
B
-rwxr-xr-x
2024-02-17 18:37
fixproc
15.16
KB
-rwxr-xr-x
2026-01-06 12:41
fixpsditps
694
B
-rwxr-xr-x
2024-02-17 18:37
fixpspps
1.27
KB
-rwxr-xr-x
2024-02-17 18:37
fixscribeps
479
B
-rwxr-xr-x
2024-02-17 18:37
fixtpps
699
B
-rwxr-xr-x
2024-02-17 18:37
fixwfwps
857
B
-rwxr-xr-x
2024-02-17 18:37
fixwpps
732
B
-rwxr-xr-x
2024-02-17 18:37
fixwwps
427
B
-rwxr-xr-x
2024-02-17 18:37
flock
22.48
KB
-rwxr-xr-x
2026-03-06 16:00
fmt
38.51
KB
-rwxr-xr-x
2026-01-23 13:30
fold
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
fonttosfnt
38.16
KB
-rwxr-xr-x
2024-04-08 16:22
formail
46.58
KB
-rwxr-xr-x
2024-04-08 16:16
free
26.38
KB
-rwxr-xr-x
2024-09-26 08:44
fromdos
18.17
KB
-rwxr-xr-x
2023-01-24 20:47
ftp
182.9
KB
-rwxr-xr-x
2024-04-08 14:50
funzip
26.3
KB
-rwxr-xr-x
2024-10-02 13:29
fuser
39.34
KB
-rwxr-xr-x
2024-03-31 17:02
fusermount
38.38
KB
-rwsr-xr-x
2024-04-08 15:57
fusermount3
38.38
KB
-rwsr-xr-x
2024-04-08 15:57
g++
1003.05
KB
-rwxr-xr-x
2025-12-18 20:59
g++-13
1003.05
KB
-rwxr-xr-x
2025-12-18 20:59
galera_new_cluster
917
B
-rwxr-xr-x
2025-10-11 02:08
galera_recovery
3.29
KB
-rwxr-xr-x
2025-10-11 02:08
gapplication
22.38
KB
-rwxr-xr-x
2026-01-28 17:53
gawk
722.5
KB
-rwxr-xr-x
2026-07-20 22:38
gawkbug
6.74
KB
-rwxr-xr-x
2026-07-20 22:38
gcc
999.05
KB
-rwxr-xr-x
2025-12-18 20:59
gcc-11
906.92
KB
-rwxr-xr-x
2025-12-18 07:26
gcc-12
1.33
MB
-rwxr-xr-x
2025-12-18 07:53
gcc-13
999.05
KB
-rwxr-xr-x
2025-12-18 20:59
gcc-9
766.71
KB
-rwxr-xr-x
2026-01-12 02:59
gcc-ar
26.58
KB
-rwxr-xr-x
2025-12-18 20:59
gcc-ar-11
26.59
KB
-rwxr-xr-x
2025-12-18 07:26
gcc-ar-12
34.7
KB
-rwxr-xr-x
2025-12-18 07:53
gcc-ar-13
26.58
KB
-rwxr-xr-x
2025-12-18 20:59
gcc-ar-9
26.52
KB
-rwxr-xr-x
2026-01-12 02:59
gcc-nm
26.58
KB
-rwxr-xr-x
2025-12-18 20:59
gcc-nm-11
26.59
KB
-rwxr-xr-x
2025-12-18 07:26
gcc-nm-12
34.7
KB
-rwxr-xr-x
2025-12-18 07:53
gcc-nm-13
26.58
KB
-rwxr-xr-x
2025-12-18 20:59
gcc-nm-9
22.51
KB
-rwxr-xr-x
2026-01-12 02:59
gcc-ranlib
26.58
KB
-rwxr-xr-x
2025-12-18 20:59
gcc-ranlib-11
26.59
KB
-rwxr-xr-x
2025-12-18 07:26
gcc-ranlib-12
34.7
KB
-rwxr-xr-x
2025-12-18 07:53
gcc-ranlib-13
26.58
KB
-rwxr-xr-x
2025-12-18 20:59
gcc-ranlib-9
26.52
KB
-rwxr-xr-x
2026-01-12 02:59
gcore
3.43
KB
-rwxr-xr-x
2026-02-05 01:58
gcov
432.13
KB
-rwxr-xr-x
2025-12-18 20:59
gcov-11
400.05
KB
-rwxr-xr-x
2025-12-18 07:26
gcov-12
740.37
KB
-rwxr-xr-x
2025-12-18 07:53
gcov-13
432.13
KB
-rwxr-xr-x
2025-12-18 20:59
gcov-9
383.92
KB
-rwxr-xr-x
2026-01-12 02:59
gcov-dump
348.08
KB
-rwxr-xr-x
2025-12-18 20:59
gcov-dump-11
251.88
KB
-rwxr-xr-x
2025-12-18 07:26
gcov-dump-12
576.2
KB
-rwxr-xr-x
2025-12-18 07:53
gcov-dump-13
348.08
KB
-rwxr-xr-x
2025-12-18 20:59
gcov-dump-9
235.79
KB
-rwxr-xr-x
2026-01-12 02:59
gcov-tool
304.05
KB
-rwxr-xr-x
2025-12-18 20:59
gcov-tool-11
275.97
KB
-rwxr-xr-x
2025-12-18 07:26
gcov-tool-12
600.3
KB
-rwxr-xr-x
2025-12-18 07:53
gcov-tool-13
304.05
KB
-rwxr-xr-x
2025-12-18 20:59
gcov-tool-9
267.86
KB
-rwxr-xr-x
2026-01-12 02:59
gcr-viewer
14.37
KB
-rwxr-xr-x
2024-04-08 14:39
gcr-viewer-gtk4
30.37
KB
-rwxr-xr-x
2024-04-04 14:50
gdb
8.51
MB
-rwxr-xr-x
2026-02-05 01:58
gdb-add-index
4.52
KB
-rwxr-xr-x
2026-02-05 01:58
gdbtui
126
B
-rwxr-xr-x
2026-02-05 01:58
gdbus
50.38
KB
-rwxr-xr-x
2026-01-28 17:53
gdk-pixbuf-csource
14.33
KB
-rwxr-xr-x
2026-04-02 13:40
gdk-pixbuf-pixdata
14.31
KB
-rwxr-xr-x
2026-04-02 13:40
gdk-pixbuf-thumbnailer
18.39
KB
-rwxr-xr-x
2026-04-02 13:40
gencat
26.44
KB
-rwxr-xr-x
2026-07-23 17:18
geqn
188.45
KB
-rwxr-xr-x
2024-03-31 08:54
getafm
6.18
KB
-rwxr-xr-x
2024-02-17 18:37
getconf
26.36
KB
-rwxr-xr-x
2026-07-23 17:18
getent
38.72
KB
-rwxr-xr-x
2026-07-23 17:18
getfacl
30.38
KB
-rwxr-xr-x
2024-10-02 12:40
getkeycodes
14.37
KB
-rwxr-xr-x
2024-03-31 09:02
getopt
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
gettext
34.38
KB
-rwxr-xr-x
2024-04-08 15:58
gettext.sh
5.07
KB
-rwxr-xr-x
2024-04-08 15:58
gettextize
41.28
KB
-rwxr-xr-x
2024-04-08 15:58
ghostscript
14.15
KB
-rwxr-xr-x
2025-09-25 16:37
ginstall-info
47.24
KB
-rwxr-xr-x
2024-03-30 23:49
gio
102.4
KB
-rwxr-xr-x
2026-01-28 17:53
gio-querymodules
18.3
KB
-rwxr-xr-x
2026-01-28 17:53
git
3.88
MB
-rwxr-xr-x
2025-07-02 20:23
git-receive-pack
3.88
MB
-rwxr-xr-x
2025-07-02 20:23
git-shell
624.81
KB
-rwxr-xr-x
2025-07-02 20:23
git-upload-archive
3.88
MB
-rwxr-xr-x
2025-07-02 20:23
git-upload-pack
3.88
MB
-rwxr-xr-x
2025-07-02 20:23
glib-compile-schemas
54.3
KB
-rwxr-xr-x
2026-01-28 17:53
gmake
253.72
KB
-rwxr-xr-x
2024-04-08 16:12
gnome-help
58.23
KB
-rwxr-xr-x
2025-04-17 14:58
gnome-keyring
22.54
KB
-rwxr-xr-x
2026-03-10 16:24
gnome-keyring-3
22.54
KB
-rwxr-xr-x
2026-03-10 16:24
gnome-keyring-daemon
965.32
KB
-rwxr-xr-x
2026-03-10 16:24
gnome-session
953
B
-rwxr-xr-x
2024-04-15 15:49
gnome-session-inhibit
22.31
KB
-rwxr-xr-x
2024-04-15 15:49
gnome-session-properties
62.26
KB
-rwxr-xr-x
2024-04-15 15:49
gnome-session-quit
14.61
KB
-rwxr-xr-x
2024-04-15 15:49
gnome-terminal
3.32
KB
-rwxr-xr-x
2024-03-31 06:13
gnome-terminal.real
87.7
KB
-rwxr-xr-x
2024-03-31 06:13
gnome-terminal.wrapper
2.65
KB
-rwxr-xr-x
2024-03-18 17:15
gold
3.07
MB
-rwxr-xr-x
2026-02-09 21:03
gp-archive
158.53
KB
-rwxr-xr-x
2026-02-09 21:03
gp-collect-app
174.37
KB
-rwxr-xr-x
2026-02-09 21:03
gp-display-html
626.89
KB
-rwxr-xr-x
2026-02-09 21:03
gp-display-src
150.35
KB
-rwxr-xr-x
2026-02-09 21:03
gp-display-text
290.37
KB
-rwxr-xr-x
2026-02-09 21:03
gpasswd
74.46
KB
-rwsr-xr-x
2024-05-30 14:52
gpg
1.09
MB
-rwxr-xr-x
2026-01-05 22:01
gpg-agent
357.52
KB
-rwxr-xr-x
2026-01-05 22:01
gpg-connect-agent
87.3
KB
-rwxr-xr-x
2026-01-05 22:01
gpg-wks-client
139.37
KB
-rwxr-xr-x
2026-01-05 22:01
gpg-wks-server
123.05
KB
-rwxr-xr-x
2026-01-05 22:01
gpgconf
115.36
KB
-rwxr-xr-x
2026-01-05 22:01
gpgparsemail
34.38
KB
-rwxr-xr-x
2026-01-05 22:01
gpgsm
501.37
KB
-rwxr-xr-x
2026-01-05 22:01
gpgsplit
26.62
KB
-rwxr-xr-x
2026-01-05 22:01
gpgtar
67.83
KB
-rwxr-xr-x
2026-01-05 22:01
gpgv
303.14
KB
-rwxr-xr-x
2026-01-05 22:01
gpic
196.06
KB
-rwxr-xr-x
2024-03-31 08:54
gprof
99.79
KB
-rwxr-xr-x
2026-02-09 21:03
gprofng
138.35
KB
-rwxr-xr-x
2026-02-09 21:03
gpu-manager
78.82
KB
-rwxr-xr-x
2026-03-18 05:59
grep
182.45
KB
-rwxr-xr-x
2024-04-08 15:58
gresource
22.3
KB
-rwxr-xr-x
2026-01-28 17:53
groff
94.51
KB
-rwxr-xr-x
2024-03-31 08:54
grog
18.75
KB
-rwxr-xr-x
2024-03-31 08:54
grops
162.55
KB
-rwxr-xr-x
2024-03-31 08:54
grotty
118.51
KB
-rwxr-xr-x
2024-03-31 08:54
groups
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
gs
14.15
KB
-rwxr-xr-x
2025-09-25 16:37
gsbj
350
B
-rwxr-xr-x
2025-09-25 16:37
gsdj
352
B
-rwxr-xr-x
2025-09-25 16:37
gsdj500
352
B
-rwxr-xr-x
2025-09-25 16:37
gsettings
30.3
KB
-rwxr-xr-x
2026-01-28 17:53
gslj
353
B
-rwxr-xr-x
2025-09-25 16:37
gslp
350
B
-rwxr-xr-x
2025-09-25 16:37
gsnd
277
B
-rwxr-xr-x
2025-09-25 16:37
gtbl
134.48
KB
-rwxr-xr-x
2024-03-31 08:54
gtk-builder-tool
34.73
KB
-rwxr-xr-x
2025-01-27 19:56
gtk-encode-symbolic-svg
18.41
KB
-rwxr-xr-x
2025-01-27 19:56
gtk-launch
18.46
KB
-rwxr-xr-x
2025-01-27 19:56
gtk-query-settings
14.3
KB
-rwxr-xr-x
2025-01-27 19:56
gtk-update-icon-cache
38.57
KB
-rwxr-xr-x
2025-01-27 19:56
gtk4-broadwayd
138.31
KB
-rwxr-xr-x
2026-03-17 14:21
gtk4-builder-tool
74.71
KB
-rwxr-xr-x
2026-03-17 14:21
gtk4-encode-symbolic-svg
11.35
MB
-rwxr-xr-x
2026-03-17 14:21
gtk4-launch
18.46
KB
-rwxr-xr-x
2026-03-17 14:21
gtk4-path-tool
50.38
KB
-rwxr-xr-x
2026-03-17 14:21
gtk4-query-settings
14.3
KB
-rwxr-xr-x
2026-03-17 14:21
gtk4-rendernode-tool
38.3
KB
-rwxr-xr-x
2026-03-17 14:21
gtk4-update-icon-cache
38.73
KB
-rwxr-xr-x
2026-03-17 14:21
gunzip
2.29
KB
-rwxr-xr-x
2026-07-03 11:53
gyp
932
B
-rwxr-xr-x
2022-07-16 12:04
gzexe
6.33
KB
-rwxr-xr-x
2026-07-03 11:53
gzip
91.23
KB
-rwxr-xr-x
2026-07-03 11:53
h2ph
28.54
KB
-rwxr-xr-x
2026-06-12 13:42
h2xs
59.51
KB
-rwxr-xr-x
2026-06-12 13:42
handlebars
4.14
KB
-rwxr-xr-x
2021-12-13 11:49
hardlink
46.48
KB
-rwxr-xr-x
2026-03-06 16:00
hd
46.39
KB
-rwxr-xr-x
2026-03-06 16:00
head
42.51
KB
-rwxr-xr-x
2026-01-23 13:30
helpztags
2.46
KB
-rwxr-xr-x
2026-06-15 22:15
hexdump
46.39
KB
-rwxr-xr-x
2026-03-06 16:00
hostid
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
hostname
22.23
KB
-rwxr-xr-x
2024-04-08 15:59
hostnamectl
30.45
KB
-rwxr-xr-x
2026-06-05 15:36
htcacheclean
34.31
KB
-rwxr-xr-x
2026-07-06 16:27
htdbm
26.3
KB
-rwxr-xr-x
2026-07-06 16:27
htdigest
14.3
KB
-rwxr-xr-x
2026-07-06 16:27
htop
370.33
KB
-rwxr-xr-x
2024-04-08 15:59
htpasswd
26.3
KB
-rwxr-xr-x
2026-07-06 16:27
hwe-support-status
11.24
KB
-rwxr-xr-x
2025-04-25 13:16
i386
26.65
KB
-rwxr-xr-x
2026-03-06 16:00
iceauth
42.42
KB
-rwxr-xr-x
2024-03-31 17:27
iconv
66.48
KB
-rwxr-xr-x
2026-07-23 17:18
id
38.51
KB
-rwxr-xr-x
2026-01-23 13:30
includeres
1.43
KB
-rwxr-xr-x
2024-02-17 18:37
inetutils-telnet
177.85
KB
-rwxr-xr-x
2026-06-04 13:25
info
241.73
KB
-rwxr-xr-x
2024-03-30 23:49
infobrowser
241.73
KB
-rwxr-xr-x
2024-03-30 23:49
infocmp
66.38
KB
-rwxr-xr-x
2026-06-30 21:25
infotocap
90.41
KB
-rwxr-xr-x
2026-06-30 21:25
innochecksum
4.57
MB
-rwxr-xr-x
2025-10-11 02:08
innotop
445.71
KB
-rwxr-xr-x
2025-10-11 02:08
install
142.52
KB
-rwxr-xr-x
2026-01-23 13:30
install-info
47.24
KB
-rwxr-xr-x
2024-03-30 23:49
instmodsh
4.27
KB
-rwxr-xr-x
2026-06-12 13:42
ionice
18.38
KB
-rwxr-xr-x
2026-03-06 16:00
ip
754.8
KB
-rwxr-xr-x
2026-04-15 06:53
ipcmk
22.45
KB
-rwxr-xr-x
2026-03-06 16:00
ipcrm
18.38
KB
-rwxr-xr-x
2026-03-06 16:00
ipcs
38.38
KB
-rwxr-xr-x
2026-03-06 16:00
iptables-xml
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
ischroot
14.48
KB
-rwxr-xr-x
2024-03-31 08:47
ispell-wrapper
7.05
KB
-rwxr-xr-x
2023-09-07 08:57
isql
34.3
KB
-rwxr-xr-x
2024-06-03 13:23
istanbul
2.45
KB
-rwxr-xr-x
2023-08-21 05:40
itox
26.3
KB
-rwxr-xr-x
2024-04-01 08:35
iusql
30.3
KB
-rwxr-xr-x
2024-06-03 13:23
join
50.55
KB
-rwxr-xr-x
2026-01-23 13:30
journalctl
78.91
KB
-rwxr-xr-x
2026-06-05 15:36
js
26.08
KB
-rwxr-xr-x
2024-04-18 19:08
js-yaml
2.67
KB
-rwxr-xr-x
2022-10-26 12:30
jsesc
3.74
KB
-rwxr-xr-x
2022-02-13 07:54
json5
3.51
KB
-rwxr-xr-x
2023-01-25 01:13
json_pp
4.88
KB
-rwxr-xr-x
2026-06-12 13:42
jsonpointer
1.79
KB
-rwxr-xr-x
2020-01-24 03:25
jsonschema
213
B
-rwxr-xr-x
2023-08-14 21:45
kbd_mode
14.66
KB
-rwxr-xr-x
2024-03-31 09:02
kbdinfo
18.37
KB
-rwxr-xr-x
2024-03-31 09:02
kbxutil
62.83
KB
-rwxr-xr-x
2026-01-05 22:01
kernel-install
54.67
KB
-rwxr-xr-x
2026-06-05 15:36
kill
22.38
KB
-rwxr-xr-x
2024-09-26 08:44
killall
31.34
KB
-rwxr-xr-x
2024-03-31 17:02
kmod
170.24
KB
-rwxr-xr-x
2026-04-30 12:32
last
34.38
KB
-rwxr-xr-x
2026-03-06 16:00
lastb
34.38
KB
-rwxr-xr-x
2026-03-06 16:00
lastlog
27.79
KB
-rwxr-xr-x
2024-05-30 14:52
lcf
7.6
KB
-rwxr-xr-x
2023-01-27 13:29
ld
1.3
MB
-rwxr-xr-x
2026-02-09 21:03
ld.bfd
1.3
MB
-rwxr-xr-x
2026-02-09 21:03
ld.gold
3.07
MB
-rwxr-xr-x
2026-02-09 21:03
ld.so
231.07
KB
-rwxr-xr-x
2026-07-23 17:18
ldapadd
66.45
KB
-rwxr-xr-x
2025-09-23 16:26
ldapcompare
66.45
KB
-rwxr-xr-x
2025-09-23 16:26
ldapdelete
66.47
KB
-rwxr-xr-x
2025-09-23 16:26
ldapexop
66.45
KB
-rwxr-xr-x
2025-09-23 16:26
ldapmodify
66.45
KB
-rwxr-xr-x
2025-09-23 16:26
ldapmodrdn
62.45
KB
-rwxr-xr-x
2025-09-23 16:26
ldappasswd
66.45
KB
-rwxr-xr-x
2025-09-23 16:26
ldapsearch
98.48
KB
-rwxr-xr-x
2025-09-23 16:26
ldapurl
14.3
KB
-rwxr-xr-x
2025-09-23 16:26
ldapwhoami
62.45
KB
-rwxr-xr-x
2025-09-23 16:26
ldd
5.26
KB
-rwxr-xr-x
2026-07-23 17:18
less
190.38
KB
-rwxr-xr-x
2024-04-28 11:44
lessecho
14.31
KB
-rwxr-xr-x
2024-04-28 11:44
lessfile
8.83
KB
-rwxr-xr-x
2023-02-12 10:17
lesskey
23.7
KB
-rwxr-xr-x
2024-04-28 11:44
lesspipe
8.83
KB
-rwxr-xr-x
2023-02-12 10:17
letsencrypt
958
B
-rwxr-xr-x
2024-02-09 01:14
lexgrog
99.51
KB
-rwxr-xr-x
2024-04-08 14:45
lft
2.43
KB
-rwxr-xr-x
2023-12-25 07:29
lft.db
2.43
KB
-rwxr-xr-x
2023-12-25 07:29
libnetcfg
15.41
KB
-rwxr-xr-x
2026-06-12 13:42
link
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
linux-check-removal
3.99
KB
-rwxr-xr-x
2026-02-18 06:21
linux-update-symlinks
6.17
KB
-rwxr-xr-x
2026-02-18 06:21
linux-version
2.63
KB
-rwxr-xr-x
2026-02-18 06:21
linux32
26.65
KB
-rwxr-xr-x
2026-03-06 16:00
linux64
26.65
KB
-rwxr-xr-x
2026-03-06 16:00
listres
14.73
KB
-rwxr-xr-x
2024-03-31 17:27
ln
54.51
KB
-rwxr-xr-x
2026-01-23 13:30
lnstat
22.66
KB
-rwxr-xr-x
2026-04-15 06:53
loadkeys
202.9
KB
-rwxr-xr-x
2024-03-31 09:02
loadunimap
34.46
KB
-rwxr-xr-x
2024-03-31 09:02
locale
49.63
KB
-rwxr-xr-x
2026-07-23 17:18
locale-check
14.15
KB
-rwxr-xr-x
2026-02-06 07:23
localectl
26.45
KB
-rwxr-xr-x
2026-06-05 15:36
localedef
319.09
KB
-rwxr-xr-x
2026-07-23 17:18
locate
306.55
KB
-rwxr-sr-x
2024-04-18 17:53
lockfile
18.3
KB
-rwxr-sr-x
2024-04-08 16:16
logger
38.97
KB
-rwxr-xr-x
2026-03-06 16:00
login
51.81
KB
-rwxr-xr-x
2024-05-30 14:52
loginctl
66.58
KB
-rwxr-xr-x
2026-06-05 15:36
logname
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
logresolve
14.31
KB
-rwxr-xr-x
2026-07-06 16:27
look
18.38
KB
-rwxr-xr-x
2026-03-06 16:00
lowntfs-3g
118.98
KB
-rwxr-xr-x
2026-07-11 15:55
ls
138.98
KB
-rwxr-xr-x
2026-01-23 13:30
lsattr
14.31
KB
-rwxr-xr-x
2024-04-28 23:44
lsb_release
2.59
KB
-rwxr-xr-x
2023-07-05 15:34
lsblk
146.38
KB
-rwxr-xr-x
2026-03-06 16:00
lscpu
110.38
KB
-rwxr-xr-x
2026-03-06 16:00
lsdev
1.56
KB
-rwxr-xr-x
2022-11-27 21:34
lsinitramfs
735
B
-rwxr-xr-x
2024-04-22 10:21
lsipc
50.38
KB
-rwxr-xr-x
2026-03-06 16:00
lslocks
30.77
KB
-rwxr-xr-x
2026-03-06 16:00
lslogins
50.38
KB
-rwxr-xr-x
2026-03-06 16:00
lsmem
38.38
KB
-rwxr-xr-x
2026-03-06 16:00
lsmod
170.24
KB
-rwxr-xr-x
2026-04-30 12:32
lsns
42.38
KB
-rwxr-xr-x
2026-03-06 16:00
lsof
171.66
KB
-rwxr-xr-x
2024-03-31 09:13
lspci
100.11
KB
-rwxr-xr-x
2024-04-08 16:15
lspgpot
1.06
KB
-rwxr-xr-x
2023-04-04 08:28
lsusb
246.52
KB
-rwxr-xr-x
2024-04-08 16:21
lto-dump
27.99
MB
-rwxr-xr-x
2025-12-18 20:59
lto-dump-11
24.01
MB
-rwxr-xr-x
2025-12-18 07:26
lto-dump-12
31.09
MB
-rwxr-xr-x
2025-12-18 07:53
lto-dump-13
27.99
MB
-rwxr-xr-x
2025-12-18 20:59
lwp-download
10.05
KB
-rwxr-xr-x
2026-05-22 15:41
lwp-dump
2.65
KB
-rwxr-xr-x
2026-05-22 15:41
lwp-mirror
2.36
KB
-rwxr-xr-x
2026-05-22 15:41
lwp-request
15.87
KB
-rwxr-xr-x
2026-05-22 15:41
lynx
1.91
MB
-rwxr-xr-x
2024-04-01 06:53
lz
2.48
KB
-rwxr-xr-x
2024-04-08 16:13
lzcat
126.47
KB
-rwxr-xr-x
2020-12-27 23:52
lzma
126.47
KB
-rwxr-xr-x
2020-12-27 23:52
lzmainfo
14.38
KB
-rwxr-xr-x
2026-05-28 16:06
lzmp
126.47
KB
-rwxr-xr-x
2020-12-27 23:52
m4
238.37
KB
-rwxr-xr-x
2024-04-08 16:12
mail
110.4
KB
-rwxr-xr-x
2024-04-08 15:54
mailq
1.45
MB
-rwsr-xr-x
2026-07-17 15:24
mailstat
5.67
KB
-rwxr-xr-x
2024-04-08 16:16
mailx
110.4
KB
-rwxr-xr-x
2024-04-08 15:54
make
253.72
KB
-rwxr-xr-x
2024-04-08 16:12
make-first-existing-target
4.79
KB
-rwxr-xr-x
2024-04-08 16:12
man
125.41
KB
-rwxr-xr-x
2024-04-08 14:45
man-recode
35.4
KB
-rwxr-xr-x
2024-04-08 14:45
mandb
143.67
KB
-rwxr-xr-x
2024-04-08 14:45
manpath
26.78
KB
-rwxr-xr-x
2024-04-08 14:45
mapscrn
30.46
KB
-rwxr-xr-x
2024-03-31 09:02
mariadb
5.07
MB
-rwxr-xr-x
2025-10-11 02:08
mariadb-access
109.31
KB
-rwxr-xr-x
2025-10-11 02:08
mariadb-admin
4.85
MB
-rwxr-xr-x
2025-10-11 02:08
mariadb-analyze
4.84
MB
-rwxr-xr-x
2025-10-11 02:08
mariadb-binlog
5.13
MB
-rwxr-xr-x
2025-10-11 02:08
mariadb-check
4.84
MB
-rwxr-xr-x
2025-10-11 02:08
mariadb-conv
4.56
MB
-rwxr-xr-x
2025-10-11 02:08
mariadb-convert-table-format
4.12
KB
-rwxr-xr-x
2025-10-11 02:08
mariadb-dump
4.93
MB
-rwxr-xr-x
2025-10-11 02:08
mariadb-dumpslow
8.05
KB
-rwxr-xr-x
2025-10-11 02:08
mariadb-find-rows
3.21
KB
-rwxr-xr-x
2025-10-11 02:08
mariadb-fix-extensions
1.22
KB
-rwxr-xr-x
2025-10-11 02:08
mariadb-hotcopy
34.53
KB
-rwxr-xr-x
2025-10-11 02:08
mariadb-import
4.83
MB
-rwxr-xr-x
2025-10-11 02:08
mariadb-install-db
22.13
KB
-rwxr-xr-x
2025-10-11 02:08
mariadb-optimize
4.84
MB
-rwxr-xr-x
2025-10-11 02:08
mariadb-plugin
4.54
MB
-rwxr-xr-x
2025-10-11 02:08
mariadb-repair
4.84
MB
-rwxr-xr-x
2025-10-11 02:08
mariadb-report
49.02
KB
-rwxr-xr-x
2025-10-11 02:08
mariadb-secure-installation
13.49
KB
-rwxr-xr-x
2025-10-11 02:08
mariadb-service-convert
2.45
KB
-rwxr-xr-x
2025-10-11 02:08
mariadb-setpermission
17.56
KB
-rwxr-xr-x
2025-10-11 02:08
mariadb-show
4.83
MB
-rwxr-xr-x
2025-10-11 02:08
mariadb-slap
4.85
MB
-rwxr-xr-x
2025-10-11 02:08
mariadb-tzinfo-to-sql
4.53
MB
-rwxr-xr-x
2025-10-11 02:08
mariadb-upgrade
4.97
MB
-rwxr-xr-x
2025-10-11 02:08
mariadb-waitpid
4.53
MB
-rwxr-xr-x
2025-10-11 02:08
mariadbcheck
4.84
MB
-rwxr-xr-x
2025-10-11 02:08
mariadbd-multi
26.69
KB
-rwxr-xr-x
2025-10-11 02:08
mariadbd-safe
30.42
KB
-rwxr-xr-x
2025-10-11 02:08
mariadbd-safe-helper
4.49
MB
-rwxr-xr-x
2025-10-11 02:08
mattrib
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
mawk
166.77
KB
-rwxr-xr-x
2024-04-08 16:12
mbadblocks
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
mcat
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
mcd
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
mcheck
1.64
KB
-rwxr-xr-x
2024-04-08 16:13
mcomp
847
B
-rwxr-xr-x
2024-04-08 16:13
mcookie
26.45
KB
-rwxr-xr-x
2026-03-06 16:00
mcopy
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
md5sum
38.41
KB
-rwxr-xr-x
2026-01-23 13:30
md5sum.textutils
38.41
KB
-rwxr-xr-x
2026-01-23 13:30
mdel
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
mdeltree
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
mdir
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
mdu
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
mesa-overlay-control.py
5.59
KB
-rwxr-xr-x
2025-12-04 07:30
mesg
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
mformat
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
migrate-pubring-from-classic-gpg
3.02
KB
-rwxr-xr-x
2024-03-01 08:25
mimeopen
9.34
KB
-rwxr-xr-x
2023-12-06 16:32
mimetype
12.76
KB
-rwxr-xr-x
2023-12-06 16:32
minfo
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
mk_modmap
15.78
KB
-rwxr-xr-x
2024-03-31 09:02
mkdir
74.51
KB
-rwxr-xr-x
2026-01-23 13:30
mkfifo
42.51
KB
-rwxr-xr-x
2026-01-23 13:30
mkfontdir
65
B
-rwxr-xr-x
2024-04-08 16:22
mkfontscale
42.67
KB
-rwxr-xr-x
2024-04-08 16:22
mkmanifest
14.38
KB
-rwxr-xr-x
2024-04-08 16:13
mknod
42.51
KB
-rwxr-xr-x
2026-01-23 13:30
mkpasswd
26.38
KB
-rwxr-xr-x
2024-04-01 18:14
mksquashfs
286.95
KB
-rwxr-xr-x
2024-04-08 16:20
mktemp
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
mlabel
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
mmd
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
mmount
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
mmove
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
more
46.38
KB
-rwxr-xr-x
2026-03-06 16:00
mount
50.38
KB
-rwsr-xr-x
2026-03-06 16:00
mountpoint
18.38
KB
-rwxr-xr-x
2026-03-06 16:00
mpartition
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
mrd
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
mren
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
msgattrib
26.38
KB
-rwxr-xr-x
2024-04-08 15:58
msgcat
26.38
KB
-rwxr-xr-x
2024-04-08 15:58
msgcmp
30.38
KB
-rwxr-xr-x
2024-04-08 15:58
msgcomm
26.38
KB
-rwxr-xr-x
2024-04-08 15:58
msgconv
22.38
KB
-rwxr-xr-x
2024-04-08 15:58
msgen
22.38
KB
-rwxr-xr-x
2024-04-08 15:58
msgexec
22.38
KB
-rwxr-xr-x
2024-04-08 15:58
msgfilter
34.38
KB
-rwxr-xr-x
2024-04-08 15:58
msgfmt
82.59
KB
-rwxr-xr-x
2024-04-08 15:58
msggrep
118.46
KB
-rwxr-xr-x
2024-04-08 15:58
msginit
66.39
KB
-rwxr-xr-x
2024-04-08 15:58
msgmerge
74.41
KB
-rwxr-xr-x
2024-04-08 15:58
msgunfmt
38.39
KB
-rwxr-xr-x
2024-04-08 15:58
msguniq
22.38
KB
-rwxr-xr-x
2024-04-08 15:58
mshortname
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
mshowfat
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
msql2mysql
1.41
KB
-rwxr-xr-x
2025-10-11 02:08
mt
70.73
KB
-rwxr-xr-x
2024-04-08 15:55
mt-gnu
70.73
KB
-rwxr-xr-x
2024-04-08 15:55
mtools
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
mtoolstest
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
mtype
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
mv
134.52
KB
-rwxr-xr-x
2026-01-23 13:30
mxtar
784
B
-rwxr-xr-x
2024-04-08 16:13
my_print_defaults
4.53
MB
-rwxr-xr-x
2025-10-11 02:08
myisam_ftdump
4.87
MB
-rwxr-xr-x
2025-10-11 02:08
myisamchk
4.99
MB
-rwxr-xr-x
2025-10-11 02:08
myisamlog
4.85
MB
-rwxr-xr-x
2025-10-11 02:08
myisampack
4.9
MB
-rwxr-xr-x
2025-10-11 02:08
mysql
5.07
MB
-rwxr-xr-x
2025-10-11 02:08
mysql_convert_table_format
4.12
KB
-rwxr-xr-x
2025-10-11 02:08
mysql_find_rows
3.21
KB
-rwxr-xr-x
2025-10-11 02:08
mysql_fix_extensions
1.22
KB
-rwxr-xr-x
2025-10-11 02:08
mysql_install_db
22.13
KB
-rwxr-xr-x
2025-10-11 02:08
mysql_plugin
4.54
MB
-rwxr-xr-x
2025-10-11 02:08
mysql_secure_installation
13.49
KB
-rwxr-xr-x
2025-10-11 02:08
mysql_setpermission
17.56
KB
-rwxr-xr-x
2025-10-11 02:08
mysql_tzinfo_to_sql
4.53
MB
-rwxr-xr-x
2025-10-11 02:08
mysql_upgrade
4.97
MB
-rwxr-xr-x
2025-10-11 02:08
mysql_waitpid
4.53
MB
-rwxr-xr-x
2025-10-11 02:08
mysqlaccess
109.31
KB
-rwxr-xr-x
2025-10-11 02:08
mysqladmin
4.85
MB
-rwxr-xr-x
2025-10-11 02:08
mysqlanalyze
4.84
MB
-rwxr-xr-x
2025-10-11 02:08
mysqlbinlog
5.13
MB
-rwxr-xr-x
2025-10-11 02:08
mysqlcheck
4.84
MB
-rwxr-xr-x
2025-10-11 02:08
mysqld_multi
26.69
KB
-rwxr-xr-x
2025-10-11 02:08
mysqld_safe
30.42
KB
-rwxr-xr-x
2025-10-11 02:08
mysqld_safe_helper
4.49
MB
-rwxr-xr-x
2025-10-11 02:08
mysqldump
4.93
MB
-rwxr-xr-x
2025-10-11 02:08
mysqldumpslow
8.05
KB
-rwxr-xr-x
2025-10-11 02:08
mysqlhotcopy
34.53
KB
-rwxr-xr-x
2025-10-11 02:08
mysqlimport
4.83
MB
-rwxr-xr-x
2025-10-11 02:08
mysqloptimize
4.84
MB
-rwxr-xr-x
2025-10-11 02:08
mysqlrepair
4.84
MB
-rwxr-xr-x
2025-10-11 02:08
mysqlreport
49.02
KB
-rwxr-xr-x
2025-10-11 02:08
mysqlshow
4.83
MB
-rwxr-xr-x
2025-10-11 02:08
mysqlslap
4.85
MB
-rwxr-xr-x
2025-10-11 02:08
mytop
71.95
KB
-rwxr-xr-x
2025-10-11 02:08
mzip
205.36
KB
-rwxr-xr-x
2024-04-08 16:13
named-checkconf
38.4
KB
-rwxr-xr-x
2026-05-21 13:51
named-checkzone
30.4
KB
-rwxr-xr-x
2026-05-21 13:51
named-compilezone
30.4
KB
-rwxr-xr-x
2026-05-21 13:51
namei
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
nanoid
1.11
KB
-rwxr-xr-x
2023-10-17 14:47
nawk
722.5
KB
-rwxr-xr-x
2026-07-20 22:38
nc
38.63
KB
-rwxr-xr-x
2024-04-08 16:14
nc.openbsd
38.63
KB
-rwxr-xr-x
2024-04-08 16:14
ncal
36.95
KB
-rwxr-xr-x
2023-02-20 09:19
neqn
913
B
-rwxr-xr-x
2024-03-31 08:54
netcat
38.63
KB
-rwxr-xr-x
2024-04-08 16:14
netstat
154.59
KB
-rwxr-xr-x
2025-05-28 13:23
networkctl
122.58
KB
-rwxr-xr-x
2026-06-05 15:36
newaliases
1.45
MB
-rwsr-xr-x
2026-07-17 15:24
newgrp
39.71
KB
-rwsr-xr-x
2024-05-30 14:52
ngettext
34.38
KB
-rwxr-xr-x
2024-04-08 15:58
nice
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
nisdomainname
22.23
KB
-rwxr-xr-x
2024-04-08 15:59
nl
38.6
KB
-rwxr-xr-x
2026-01-23 13:30
nm
43.5
KB
-rwxr-xr-x
2026-02-09 21:03
node
26.08
KB
-rwxr-xr-x
2024-04-18 19:08
node-coveralls
322
B
-rwxr-xr-x
2023-01-25 01:11
node-gyp
3.37
KB
-rwxr-xr-x
2023-11-23 07:27
nodejs
26.08
KB
-rwxr-xr-x
2024-04-18 19:08
nohup
34.41
KB
-rwxr-xr-x
2026-01-23 13:30
notify-send
26.23
KB
-rwxr-xr-x
2024-03-31 02:08
npm
54
B
-rwxr-xr-x
2023-11-23 07:39
npm-arborist
3.26
KB
-rwxr-xr-x
2023-11-23 07:39
nproc
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
npx
2.85
KB
-rwxr-xr-x
2023-11-23 07:39
nroff
5.58
KB
-rwxr-xr-x
2024-03-31 08:54
nsenter
30.6
KB
-rwxr-xr-x
2026-03-06 16:00
nstat
30.38
KB
-rwxr-xr-x
2026-04-15 06:53
ntfs-3g
159.01
KB
-rwxr-xr-x
2026-07-11 15:55
ntfs-3g.probe
14.38
KB
-rwxr-xr-x
2026-07-11 15:55
ntfscat
26.38
KB
-rwxr-xr-x
2026-07-11 15:55
ntfscluster
38.38
KB
-rwxr-xr-x
2026-07-11 15:55
ntfscmp
30.38
KB
-rwxr-xr-x
2026-07-11 15:55
ntfsdecrypt
42.38
KB
-rwxr-xr-x
2026-07-11 15:55
ntfsfallocate
26.38
KB
-rwxr-xr-x
2026-07-11 15:55
ntfsfix
34.38
KB
-rwxr-xr-x
2026-07-11 15:55
ntfsinfo
54.38
KB
-rwxr-xr-x
2026-07-11 15:55
ntfsls
27.45
KB
-rwxr-xr-x
2026-07-11 15:55
ntfsmove
30.38
KB
-rwxr-xr-x
2026-07-11 15:55
ntfsrecover
102.38
KB
-rwxr-xr-x
2026-07-11 15:55
ntfssecaudit
78.86
KB
-rwxr-xr-x
2026-07-11 15:55
ntfstruncate
26.3
KB
-rwxr-xr-x
2026-07-11 15:55
ntfsusermap
18.3
KB
-rwxr-xr-x
2026-07-11 15:55
ntfswipe
46.91
KB
-rwxr-xr-x
2026-07-11 15:55
numfmt
58.54
KB
-rwxr-xr-x
2026-01-23 13:30
nvidia-detector
270
B
-rwxr-xr-x
2026-03-18 05:59
nyc
3.37
KB
-rwxr-xr-x
2023-08-21 05:40
objcopy
162.63
KB
-rwxr-xr-x
2026-02-09 21:03
objdump
381.69
KB
-rwxr-xr-x
2026-02-09 21:03
od
70.51
KB
-rwxr-xr-x
2026-01-23 13:30
odbcinst
22.15
KB
-rwxr-xr-x
2024-06-03 13:23
oem-getlogs
8.3
KB
-rwxr-xr-x
2026-04-28 17:12
open
25.46
KB
-rwxr-xr-x
2022-08-01 14:14
opener
161
B
-rwxr-xr-x
2021-11-20 16:02
openssl
981.8
KB
-rwxr-xr-x
2026-06-02 19:33
openvt
22.73
KB
-rwxr-xr-x
2024-03-31 09:02
p11-kit
206.7
KB
-rwxr-xr-x
2024-08-09 02:33
pacote
3.89
KB
-rwxr-xr-x
2023-11-23 07:39
pager
190.38
KB
-rwxr-xr-x
2024-04-28 11:44
partx
62.38
KB
-rwxr-xr-x
2026-03-06 16:00
passwd
62.65
KB
-rwsr-xr-x
2024-05-30 14:52
paste
38.41
KB
-rwxr-xr-x
2026-01-23 13:30
patch
182.52
KB
-rwxr-xr-x
2024-04-08 16:15
pathchk
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
pdb2.7
45.02
KB
-rwxr-xr-x
2022-07-01 10:30
pdb3
67.83
KB
-rwxr-xr-x
2026-06-19 12:46
pdb3.12
67.83
KB
-rwxr-xr-x
2026-06-19 12:46
pdf2dsc
698
B
-rwxr-xr-x
2025-09-25 16:37
pdf2ps
909
B
-rwxr-xr-x
2025-09-25 16:37
peekfd
14.3
KB
-rwxr-xr-x
2024-03-31 17:02
perl
3.83
MB
-rwxr-xr-x
2026-06-12 13:42
perl5.38-x86_64-linux-gnu
14.3
KB
-rwxr-xr-x
2026-06-12 13:42
perl5.38.2
3.83
MB
-rwxr-xr-x
2026-06-12 13:42
perlbug
44.52
KB
-rwxr-xr-x
2026-06-12 13:42
perldoc
125
B
-rwxr-xr-x
2024-04-05 19:56
perli11ndoc
58.17
KB
-rwxr-xr-x
2024-03-31 07:49
perlivp
10.61
KB
-rwxr-xr-x
2026-06-12 13:42
perlthanks
44.52
KB
-rwxr-xr-x
2026-06-12 13:42
perror
4.72
MB
-rwxr-xr-x
2025-10-11 02:08
pf2afm
498
B
-rwxr-xr-x
2025-09-25 16:37
pfbtopfa
516
B
-rwxr-xr-x
2025-09-25 16:37
pgrep
34.47
KB
-rwxr-xr-x
2024-09-26 08:44
phar
14.84
KB
-rwxr-xr-x
2026-07-16 18:30
phar.phar
14.84
KB
-rwxr-xr-x
2026-07-16 18:30
phar.phar8.3
14.84
KB
-rwxr-xr-x
2026-07-16 18:30
phar8.3
14.84
KB
-rwxr-xr-x
2026-07-16 18:30
phar8.3.phar
14.84
KB
-rwxr-xr-x
2026-07-16 18:30
php
5.52
MB
-rwxr-xr-x
2026-07-16 18:30
php8.3
5.52
MB
-rwxr-xr-x
2026-07-16 18:30
pic
196.06
KB
-rwxr-xr-x
2024-03-31 08:54
piconv
8.16
KB
-rwxr-xr-x
2026-06-12 13:42
pidof
26.23
KB
-rwxr-xr-x
2024-04-08 16:20
pidwait
34.47
KB
-rwxr-xr-x
2024-09-26 08:44
pigz
130.37
KB
-rwxr-xr-x
2023-08-22 19:47
pinentry
74.66
KB
-rwxr-xr-x
2024-03-31 16:59
pinentry-curses
58.65
KB
-rwxr-xr-x
2024-03-31 16:59
pinentry-gnome3
74.66
KB
-rwxr-xr-x
2024-03-31 16:59
pinentry-x11
74.66
KB
-rwxr-xr-x
2024-03-31 16:59
ping
87.7
KB
-rwxr-xr-x
2025-07-24 11:51
ping4
87.7
KB
-rwxr-xr-x
2025-07-24 11:51
ping6
87.7
KB
-rwxr-xr-x
2025-07-24 11:51
pinky
38.41
KB
-rwxr-xr-x
2026-01-23 13:30
pkaction
18.3
KB
-rwxr-xr-x
2026-04-10 10:57
pkcheck
22.3
KB
-rwxr-xr-x
2026-04-10 10:57
pkcon
54.3
KB
-rwxr-xr-x
2026-04-20 12:20
pkexec
30.23
KB
-rwsr-xr-x
2026-04-10 10:57
pkill
34.47
KB
-rwxr-xr-x
2024-09-26 08:44
pkmon
22.3
KB
-rwxr-xr-x
2026-04-20 12:20
pkttyagent
22.3
KB
-rwxr-xr-x
2026-04-10 10:57
pl2pm
4.43
KB
-rwxr-xr-x
2026-06-12 13:42
pldd
22.44
KB
-rwxr-xr-x
2026-07-23 17:18
plocate
306.55
KB
-rwxr-sr-x
2024-04-18 17:53
pmap
34.4
KB
-rwxr-xr-x
2024-09-26 08:44
pod2html
3.95
KB
-rwxr-xr-x
2026-06-12 13:42
pod2man
18.46
KB
-rwxr-xr-x
2026-06-12 13:42
pod2text
12.8
KB
-rwxr-xr-x
2026-06-12 13:42
pod2usage
4.01
KB
-rwxr-xr-x
2026-06-12 13:42
podchecker
3.57
KB
-rwxr-xr-x
2026-06-12 13:42
popclient
302.7
KB
-rwxr-xr-x
2025-10-08 11:40
pphs
404
B
-rwxr-xr-x
2025-09-25 16:37
pr
70.58
KB
-rwxr-xr-x
2026-01-23 13:30
precat
5.52
KB
-rwxr-xr-x
2024-04-08 15:54
preconv
58.48
KB
-rwxr-xr-x
2024-03-31 08:54
preunzip
5.52
KB
-rwxr-xr-x
2024-04-08 15:54
prezip
5.52
KB
-rwxr-xr-x
2024-04-08 15:54
prezip-bin
14.3
KB
-rwxr-xr-x
2024-04-08 15:54
print
18.06
KB
-rwxr-xr-x
2026-07-02 14:59
printafm
395
B
-rwxr-xr-x
2025-09-25 16:37
printenv
34.38
KB
-rwxr-xr-x
2026-01-23 13:30
printf
54.44
KB
-rwxr-xr-x
2026-01-23 13:30
prlimit
26.89
KB
-rwxr-xr-x
2026-03-06 16:00
pro
1003
B
-rwxr-xr-x
2026-07-06 13:28
procan
42.41
KB
-rwxr-xr-x
2026-07-03 12:45
procinfo
106.2
KB
-rwxr-xr-x
2022-11-27 21:34
procmail
102.77
KB
-rwsr-sr-x
2024-04-08 16:16
prove
13.34
KB
-rwxr-xr-x
2026-06-12 13:42
prtstat
18.38
KB
-rwxr-xr-x
2024-03-31 17:02
ps
142.99
KB
-rwxr-xr-x
2024-09-26 08:44
ps2ascii
631
B
-rwxr-xr-x
2025-09-25 16:37
ps2epsi
1.23
KB
-rwxr-xr-x
2025-09-25 16:37
ps2pdf
272
B
-rwxr-xr-x
2025-09-25 16:37
ps2pdf12
215
B
-rwxr-xr-x
2025-09-25 16:37
ps2pdf13
215
B
-rwxr-xr-x
2025-09-25 16:37
ps2pdf14
215
B
-rwxr-xr-x
2025-09-25 16:37
ps2pdfwr
1.05
KB
-rwxr-xr-x
2025-09-25 16:37
ps2ps
647
B
-rwxr-xr-x
2025-09-25 16:37
ps2ps2
669
B
-rwxr-xr-x
2025-09-25 16:37
ps2txt
631
B
-rwxr-xr-x
2025-09-25 16:37
psbook
18.15
KB
-rwxr-xr-x
2024-02-17 18:37
psfaddtable
22.37
KB
-rwxr-xr-x
2024-03-31 09:02
psfgettable
22.37
KB
-rwxr-xr-x
2024-03-31 09:02
psfstriptable
22.37
KB
-rwxr-xr-x
2024-03-31 09:02
psfxtable
22.37
KB
-rwxr-xr-x
2024-03-31 09:02
psjoin
5
KB
-rwxr-xr-x
2024-02-17 18:37
pslog
14.3
KB
-rwxr-xr-x
2024-03-31 17:02
psmerge
2.64
KB
-rwxr-xr-x
2024-02-17 18:37
psnup
34.82
KB
-rwxr-xr-x
2024-02-17 18:37
psresize
30.82
KB
-rwxr-xr-x
2024-02-17 18:37
psselect
18.15
KB
-rwxr-xr-x
2024-02-17 18:37
pstops
30.82
KB
-rwxr-xr-x
2024-02-17 18:37
pstree
35.32
KB
-rwxr-xr-x
2024-03-31 17:02
pstree.x11
35.32
KB
-rwxr-xr-x
2024-03-31 17:02
ptar
3.48
KB
-rwxr-xr-x
2026-06-12 13:42
ptardiff
2.58
KB
-rwxr-xr-x
2026-06-12 13:42
ptargrep
4.29
KB
-rwxr-xr-x
2026-06-12 13:42
ptx
54.54
KB
-rwxr-xr-x
2026-01-23 13:30
pv
79.41
KB
-rwxr-xr-x
2024-04-08 16:16
pwd
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
pwdx
14.38
KB
-rwxr-xr-x
2024-09-26 08:44
pwgen
34.77
KB
-rwxr-xr-x
2024-04-18 18:03
py3clean
7.63
KB
-rwxr-xr-x
2025-11-12 12:15
py3compile
13
KB
-rwxr-xr-x
2025-11-12 12:15
py3versions
12.52
KB
-rwxr-xr-x
2025-11-12 12:15
pydoc2.7
79
B
-rwxr-xr-x
2022-07-01 10:30
pydoc3
80
B
-rwxr-xr-x
2026-06-19 12:46
pydoc3.12
80
B
-rwxr-xr-x
2026-06-19 12:46
pygettext2.7
21.56
KB
-rwxr-xr-x
2022-07-01 10:30
pygettext3
23.66
KB
-rwxr-xr-x
2026-06-19 12:46
pygettext3.12
23.66
KB
-rwxr-xr-x
2026-06-19 12:46
python-dotenv
974
B
-rwxr-xr-x
2024-01-27 10:21
python2.7
3.43
MB
-rwxr-xr-x
2022-07-01 10:30
python3
7.65
MB
-rwxr-xr-x
2026-06-19 12:46
python3.12
7.65
MB
-rwxr-xr-x
2026-06-19 12:46
pzstd
690.54
KB
-rwxr-xr-x
2024-08-09 02:33
qrcode-terminal
1.79
KB
-rwxr-xr-x
2023-11-23 07:39
quirks-handler
2.4
KB
-rwxr-xr-x
2026-03-18 05:59
quota
79.59
KB
-rwxr-xr-x
2024-04-01 07:31
quotasync
62.88
KB
-rwxr-xr-x
2024-04-01 07:31
ranlib
54.48
KB
-rwxr-xr-x
2026-02-09 21:03
rbash
1.38
MB
-rwxr-xr-x
2024-03-31 08:41
rdma
102.52
KB
-rwxr-xr-x
2026-04-15 06:53
readelf
770.78
KB
-rwxr-xr-x
2026-02-09 21:03
readlink
42.41
KB
-rwxr-xr-x
2026-01-23 13:30
realpath
42.41
KB
-rwxr-xr-x
2026-01-23 13:30
recode-sr-latin
14.38
KB
-rwxr-xr-x
2024-04-08 15:58
red
89
B
-rwxr-xr-x
2024-02-17 11:12
regjsparser
1.74
KB
-rwxr-xr-x
2022-09-16 16:16
rename.ul
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
renice
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
replace
4.51
MB
-rwxr-xr-x
2025-10-11 02:08
reset
26.31
KB
-rwxr-xr-x
2026-06-30 21:25
resizecons
26.46
KB
-rwxr-xr-x
2024-03-31 09:02
resizepart
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
resolve_stack_dump
4.53
MB
-rwxr-xr-x
2025-10-11 02:08
resolvectl
158.67
KB
-rwxr-xr-x
2026-06-05 15:36
resolveip
4.53
MB
-rwxr-xr-x
2025-10-11 02:08
rev
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
rgrep
30
B
-rwxr-xr-x
2023-07-21 14:47
rimraf
1.83
KB
-rwxr-xr-x
2022-04-15 05:15
rm
58.51
KB
-rwxr-xr-x
2026-01-23 13:30
rmdir
46.41
KB
-rwxr-xr-x
2026-01-23 13:30
rootlesskit
12.07
MB
-rwxr-xr-x
2024-06-29 00:02
rootlesskit-docker-proxy
7.54
MB
-rwxr-xr-x
2024-06-29 00:02
rotatelogs
26.38
KB
-rwxr-xr-x
2026-07-06 16:27
routel
1.62
KB
-rwxr-xr-x
2026-04-15 06:53
rpcgen
94.59
KB
-rwxr-xr-x
2024-04-08 16:18
rrsync
12.34
KB
-rwxr-xr-x
2026-06-08 14:10
rsync
522.15
KB
-rwxr-xr-x
2026-06-08 14:10
rsync-ssl
5.02
KB
-rwxr-xr-x
2026-06-08 14:10
rtstat
22.66
KB
-rwxr-xr-x
2026-04-15 06:53
run-mailcap
18.06
KB
-rwxr-xr-x
2026-07-02 14:59
run-parts
26.82
KB
-rwxr-xr-x
2024-03-31 08:47
run-with-aspell
57
B
-rwxr-xr-x
2024-04-08 15:54
runc
9.36
MB
-rwxr-xr-x
2024-06-18 19:00
runcon
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
rview
3.94
MB
-rwxr-xr-x
2026-07-13 17:17
rvim
3.94
MB
-rwxr-xr-x
2026-07-13 17:17
sasl-sample-client
26.47
KB
-rwxr-xr-x
2024-08-09 02:33
savelog
10.24
KB
-rwxr-xr-x
2024-03-31 08:47
scalar
668.94
KB
-rwxr-xr-x
2025-07-02 20:23
scp
134.59
KB
-rwxr-xr-x
2026-07-09 18:16
screen
478.24
KB
-rwxr-xr-x
2026-01-22 19:59
screendump
14.3
KB
-rwxr-xr-x
2024-03-31 09:02
script
54.38
KB
-rwxr-xr-x
2026-03-06 16:00
scriptlive
42.38
KB
-rwxr-xr-x
2026-03-06 16:00
scriptreplay
34.38
KB
-rwxr-xr-x
2026-03-06 16:00
sdiff
50.39
KB
-rwxr-xr-x
2024-04-08 15:55
sed
110.57
KB
-rwxr-xr-x
2026-04-17 18:02
see
18.06
KB
-rwxr-xr-x
2026-07-02 14:59
select-default-iwrap
474
B
-rwxr-xr-x
2023-09-07 08:57
select-editor
2.39
KB
-rwxr-xr-x
2024-02-04 18:05
semver
4.71
KB
-rwxr-xr-x
2023-08-13 05:13
sensible-browser
1.55
KB
-rwxr-xr-x
2024-02-04 18:05
sensible-editor
1.52
KB
-rwxr-xr-x
2024-02-04 18:05
sensible-pager
921
B
-rwxr-xr-x
2024-02-04 18:05
sensible-terminal
1.15
KB
-rwxr-xr-x
2024-02-04 18:05
seq
50.51
KB
-rwxr-xr-x
2026-01-23 13:30
session-migration
22.15
KB
-rwxr-xr-x
2024-03-31 17:12
sessreg
14.31
KB
-rwxr-xr-x
2024-03-31 17:27
setarch
26.65
KB
-rwxr-xr-x
2026-03-06 16:00
setfacl
38.38
KB
-rwxr-xr-x
2024-10-02 12:40
setfont
54.46
KB
-rwxr-xr-x
2024-03-31 09:02
setkeycodes
14.37
KB
-rwxr-xr-x
2024-03-31 09:02
setleds
18.43
KB
-rwxr-xr-x
2024-03-31 09:02
setlogcons
14.37
KB
-rwxr-xr-x
2024-03-31 09:02
setmetamode
14.41
KB
-rwxr-xr-x
2024-03-31 09:02
setpci
30.38
KB
-rwxr-xr-x
2024-04-08 16:15
setpriv
38.38
KB
-rwxr-xr-x
2026-03-06 16:00
setsid
14.38
KB
-rwxr-xr-x
2026-03-06 16:00
setterm
34.38
KB
-rwxr-xr-x
2026-03-06 16:00
setupcon
40.06
KB
-rwxr-xr-x
2024-02-26 12:58
sftp
150.66
KB
-rwxr-xr-x
2026-07-09 18:16
sg
39.71
KB
-rwsr-xr-x
2024-05-30 14:52
sh
126.74
KB
-rwxr-xr-x
2024-03-31 08:47
sha1sum
38.41
KB
-rwxr-xr-x
2026-01-23 13:30
sha224sum
38.41
KB
-rwxr-xr-x
2026-01-23 13:30
sha256sum
38.41
KB
-rwxr-xr-x
2026-01-23 13:30
sha384sum
38.41
KB
-rwxr-xr-x
2026-01-23 13:30
sha512sum
38.41
KB
-rwxr-xr-x
2026-01-23 13:30
shar
137.43
KB
-rwxr-xr-x
2023-02-03 18:10
shasum
9.75
KB
-rwxr-xr-x
2026-06-12 13:42
showchar
2.51
KB
-rwxr-xr-x
2024-02-17 18:37
showconsolefont
18.37
KB
-rwxr-xr-x
2024-03-31 09:02
showkey
18.37
KB
-rwxr-xr-x
2024-03-31 09:02
showrgb
14.31
KB
-rwxr-xr-x
2024-03-31 17:27
shred
54.51
KB
-rwxr-xr-x
2026-01-23 13:30
shuf
46.51
KB
-rwxr-xr-x
2026-01-23 13:30
size
30.45
KB
-rwxr-xr-x
2026-02-09 21:03
skill
26.41
KB
-rwxr-xr-x
2024-09-26 08:44
slabtop
22.44
KB
-rwxr-xr-x
2024-09-26 08:44
sleep
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
slirp4netns
62.93
KB
-rwxr-xr-x
2024-04-01 08:02
slogin
827.04
KB
-rwxr-xr-x
2026-07-09 18:16
snap
21.64
MB
-rwxr-xr-x
2026-07-13 14:38
snapctl
7.58
MB
-rwxr-xr-x
2026-07-13 14:38
snapfuse
38.23
KB
-rwxr-xr-x
2026-07-13 14:38
snice
26.41
KB
-rwxr-xr-x
2024-09-26 08:44
snmp-bridge-mib
29.96
KB
-rwxr-xr-x
2026-01-06 12:41
snmpbulkget
14.3
KB
-rwxr-xr-x
2026-01-06 12:41
snmpbulkwalk
14.3
KB
-rwxr-xr-x
2026-01-06 12:41
snmpcheck
32.91
KB
-rwxr-xr-x
2026-01-06 12:41
snmpconf
25.44
KB
-rwxr-xr-x
2026-01-06 12:41
snmpdelta
26.4
KB
-rwxr-xr-x
2026-01-06 12:41
snmpdf
18.3
KB
-rwxr-xr-x
2026-01-06 12:41
snmpget
14.3
KB
-rwxr-xr-x
2026-01-06 12:41
snmpgetnext
14.3
KB
-rwxr-xr-x
2026-01-06 12:41
snmpinform
14.57
KB
-rwxr-xr-x
2026-01-06 12:41
snmpnetstat
68.29
KB
-rwxr-xr-x
2026-01-06 12:41
snmpping
22.3
KB
-rwxr-xr-x
2026-01-06 12:41
snmpps
18.3
KB
-rwxr-xr-x
2026-01-06 12:41
snmpset
14.3
KB
-rwxr-xr-x
2026-01-06 12:41
snmpstatus
19.13
KB
-rwxr-xr-x
2026-01-06 12:41
snmptable
26.33
KB
-rwxr-xr-x
2026-01-06 12:41
snmptest
22.3
KB
-rwxr-xr-x
2026-01-06 12:41
snmptls
18.3
KB
-rwxr-xr-x
2026-01-06 12:41
snmptranslate
22.3
KB
-rwxr-xr-x
2026-01-06 12:41
snmptrap
14.57
KB
-rwxr-xr-x
2026-01-06 12:41
snmpusm
42.51
KB
-rwxr-xr-x
2026-01-06 12:41
snmpvacm
31.39
KB
-rwxr-xr-x
2026-01-06 12:41
snmpwalk
18.3
KB
-rwxr-xr-x
2026-01-06 12:41
socat
447.68
KB
-rwxr-xr-x
2026-07-03 12:45
socat-broker.sh
2.24
KB
-rwxr-xr-x
2026-07-03 12:45
socat-chain.sh
7.86
KB
-rwxr-xr-x
2026-07-03 12:45
socat-mux.sh
3.47
KB
-rwxr-xr-x
2026-07-03 12:45
socat1
447.68
KB
-rwxr-xr-x
2026-07-03 12:45
socklist
3.32
KB
-rwxr-xr-x
2022-11-27 21:34
soelim
34.48
KB
-rwxr-xr-x
2024-03-31 08:54
software-properties-gtk
4.04
KB
-rwxr-xr-x
2026-01-05 16:17
sort
102.8
KB
-rwxr-xr-x
2026-01-23 13:30
splain
18.99
KB
-rwxr-xr-x
2026-06-12 13:42
split
54.94
KB
-rwxr-xr-x
2026-01-23 13:30
splitfont
14.3
KB
-rwxr-xr-x
2024-03-31 09:02
sqfscat
147.9
KB
-rwxr-xr-x
2024-04-08 16:20
sqfstar
286.95
KB
-rwxr-xr-x
2024-04-08 16:20
ss
129.07
KB
-rwxr-xr-x
2026-04-15 06:53
ssh
827.04
KB
-rwxr-xr-x
2026-07-09 18:16
ssh-add
294.42
KB
-rwxr-xr-x
2026-07-09 18:16
ssh-agent
302.43
KB
-rwxr-sr-x
2026-07-09 18:16
ssh-argv0
1.42
KB
-rwxr-xr-x
2026-05-21 15:37
ssh-copy-id
12.77
KB
-rwxr-xr-x
2023-12-18 14:59
ssh-keygen
442.44
KB
-rwxr-xr-x
2026-07-09 18:16
ssh-keyscan
330.44
KB
-rwxr-xr-x
2026-07-09 18:16
stat
86.52
KB
-rwxr-xr-x
2026-01-23 13:30
stdbuf
50.51
KB
-rwxr-xr-x
2026-01-23 13:30
streamzip
7.87
KB
-rwxr-xr-x
2026-06-12 13:42
strings
34.61
KB
-rwxr-xr-x
2026-02-09 21:03
strip
162.66
KB
-rwxr-xr-x
2026-02-09 21:03
stty
78.52
KB
-rwxr-xr-x
2026-01-23 13:30
su
54.38
KB
-rwsr-xr-x
2026-03-06 16:00
sudo
271.42
KB
-rwsr-xr-x
2026-03-02 12:56
sudoedit
271.42
KB
-rwsr-xr-x
2026-03-02 12:56
sudoreplay
95.95
KB
-rwxr-xr-x
2026-03-02 12:56
sum
34.41
KB
-rwxr-xr-x
2026-01-23 13:30
sync
34.41
KB
-rwxr-xr-x
2026-01-23 13:30
syslinux
204.25
KB
-rwxr-xr-x
2024-04-08 16:20
systemctl
1.43
MB
-rwxr-xr-x
2026-06-05 15:36
systemd
98.45
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-ac-power
14.45
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-analyze
198.85
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-ask-password
18.58
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-cat
18.45
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-cgls
22.57
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-cgtop
38.47
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-confext
54.64
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-creds
42.72
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-cryptenroll
70.92
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-cryptsetup
78.95
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-delta
26.45
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-detect-virt
18.45
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-escape
22.45
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-firstboot
58.82
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-hwdb
154.74
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-id128
22.45
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-inhibit
22.47
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-machine-id-setup
18.63
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-mount
50.78
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-notify
26.66
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-path
18.45
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-repart
195.23
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-run
66.79
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-socket-activate
30.45
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-stdio-bridge
22.45
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-sysext
54.64
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-sysusers
66.63
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-tmpfiles
114.7
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-tty-ask-password-agent
34.45
KB
-rwxr-xr-x
2026-06-05 15:36
systemd-umount
50.78
KB
-rwxr-xr-x
2026-06-05 15:36
tabs
18.3
KB
-rwxr-xr-x
2026-06-30 21:25
tac
38.41
KB
-rwxr-xr-x
2026-01-23 13:30
tail
62.53
KB
-rwxr-xr-x
2026-01-23 13:30
tap
25.77
KB
-rwxr-xr-x
2023-12-12 09:48
tap-mocha-reporter
2.3
KB
-rwxr-xr-x
2022-04-25 07:43
tap-parser
3.95
KB
-rwxr-xr-x
2022-11-25 14:04
tape
2.69
KB
-rwxr-xr-x
2022-11-10 17:20
tar
429.95
KB
-rwxr-xr-x
2026-07-20 14:38
taskset
30.38
KB
-rwxr-xr-x
2026-03-06 16:00
tbl
134.48
KB
-rwxr-xr-x
2024-03-31 08:54
tcsh
455.8
KB
-rwxr-xr-x
2024-04-01 08:23
tee
38.51
KB
-rwxr-xr-x
2026-01-23 13:30
telnet
177.85
KB
-rwxr-xr-x
2026-06-04 13:25
tempfile
14.3
KB
-rwxr-xr-x
2024-03-31 08:47
terser
444
B
-rwxr-xr-x
2023-07-21 12:05
test
46.44
KB
-rwxr-xr-x
2026-01-23 13:30
tgz
2.24
KB
-rwxr-xr-x
2024-04-08 16:13
tic
90.41
KB
-rwxr-xr-x
2026-06-30 21:25
timedatectl
46.45
KB
-rwxr-xr-x
2026-06-05 15:36
timeout
38.95
KB
-rwxr-xr-x
2026-01-23 13:30
tload
22.39
KB
-rwxr-xr-x
2024-09-26 08:44
tnftp
182.9
KB
-rwxr-xr-x
2024-04-08 14:50
todos
18.17
KB
-rwxr-xr-x
2023-01-24 20:47
toe
22.3
KB
-rwxr-xr-x
2026-06-30 21:25
top
131.7
KB
-rwxr-xr-x
2024-09-26 08:44
tor
3.67
MB
-rwxr-xr-x
2024-06-06 14:50
tor-gencert
549.33
KB
-rwxr-xr-x
2024-06-06 14:50
tor-print-ed-signing-cert
473.24
KB
-rwxr-xr-x
2024-06-06 14:50
tor-resolve
182.33
KB
-rwxr-xr-x
2024-06-06 14:50
torify
1.01
KB
-rwxr-xr-x
2024-06-06 13:22
torsocks
11.42
KB
-rwxr-xr-x
2023-02-10 22:03
touch
94.51
KB
-rwxr-xr-x
2026-01-23 13:30
tput
26.34
KB
-rwxr-xr-x
2026-06-30 21:25
tr
46.51
KB
-rwxr-xr-x
2026-01-23 13:30
tracepath
18.15
KB
-rwxr-xr-x
2025-07-24 11:51
traceproto
2.82
KB
-rwxr-xr-x
2023-12-25 07:29
traceproto.db
2.82
KB
-rwxr-xr-x
2023-12-25 07:29
traceroute
79.28
KB
-rwxr-xr-x
2023-12-25 07:29
traceroute-nanog
1.58
KB
-rwxr-xr-x
2023-12-25 07:29
traceroute.db
79.28
KB
-rwxr-xr-x
2023-12-25 07:29
traceroute6
79.28
KB
-rwxr-xr-x
2023-12-25 07:29
traceroute6.db
79.28
KB
-rwxr-xr-x
2023-12-25 07:29
troff
726.62
KB
-rwxr-xr-x
2024-03-31 08:54
true
26.3
KB
-rwxr-xr-x
2026-01-23 13:30
truncate
38.51
KB
-rwxr-xr-x
2026-01-23 13:30
trust
230.7
KB
-rwxr-xr-x
2024-08-09 02:33
tset
26.31
KB
-rwxr-xr-x
2026-06-30 21:25
tsort
46.51
KB
-rwxr-xr-x
2026-01-23 13:30
tty
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
tzselect
15.02
KB
-rwxr-xr-x
2026-07-23 17:18
ua
1003
B
-rwxr-xr-x
2026-07-06 13:28
ubuntu-advantage
1003
B
-rwxr-xr-x
2026-07-06 13:28
ubuntu-bug
2.27
KB
-rwxr-xr-x
2026-04-24 11:18
ubuntu-distro-info
26.89
KB
-rwxr-xr-x
2024-04-08 15:56
ubuntu-drivers
19.31
KB
-rwxr-xr-x
2026-03-18 05:59
ubuntu-security-status
22.25
KB
-rwxr-xr-x
2025-04-25 13:16
ucf
40.68
KB
-rwxr-xr-x
2023-01-27 13:29
ucfq
18.91
KB
-rwxr-xr-x
2023-01-27 13:29
ucfr
10.85
KB
-rwxr-xr-x
2023-01-27 13:29
uclampset
30.38
KB
-rwxr-xr-x
2026-03-06 16:00
ucs2any
26.15
KB
-rwxr-xr-x
2024-04-08 16:22
udevadm
1.38
MB
-rwxr-xr-x
2026-06-05 15:36
udisksctl
62.38
KB
-rwxr-xr-x
2025-08-21 14:16
ul
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
umount
38.38
KB
-rwsr-xr-x
2026-03-06 16:00
uname
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
unattended-upgrade
97.21
KB
-rwxr-xr-x
2024-02-12 17:50
unattended-upgrades
97.21
KB
-rwxr-xr-x
2024-02-12 17:50
uncompress
2.29
KB
-rwxr-xr-x
2026-07-03 11:53
unexpand
38.53
KB
-rwxr-xr-x
2026-01-23 13:30
unicode_start
2.71
KB
-rwxr-xr-x
2024-03-31 09:02
unicode_stop
528
B
-rwxr-xr-x
2024-03-31 09:02
uniq
38.51
KB
-rwxr-xr-x
2026-01-23 13:30
unlink
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
unlzma
126.47
KB
-rwxr-xr-x
2020-12-27 23:52
unmkinitramfs
3.7
KB
-rwxr-xr-x
2026-02-04 17:01
unpigz
130.37
KB
-rwxr-xr-x
2023-08-22 19:47
unshar
80.93
KB
-rwxr-xr-x
2023-02-03 18:10
unshare
42.6
KB
-rwxr-xr-x
2026-03-06 16:00
unsquashfs
147.9
KB
-rwxr-xr-x
2024-04-08 16:20
unxz
86.92
KB
-rwxr-xr-x
2026-05-28 16:06
unzip
174.42
KB
-rwxr-xr-x
2024-10-02 13:29
unzipsfx
74.42
KB
-rwxr-xr-x
2024-10-02 13:29
unzstd
998.79
KB
-rwxr-xr-x
2024-08-09 02:33
update-alternatives
58.38
KB
-rwxr-xr-x
2026-05-06 17:38
update-desktop-database
26.38
KB
-rwxr-xr-x
2024-03-31 08:47
update-manager
4.65
KB
-rwxr-xr-x
2025-04-25 13:16
update-mime-database
74.33
KB
-rwxr-xr-x
2024-04-01 11:58
update-notifier
86.99
KB
-rwxr-xr-x
2025-04-02 09:15
updatedb
106.48
KB
-rwxr-xr-x
2024-04-18 17:53
upower
14.3
KB
-rwxr-xr-x
2024-04-08 07:42
uptime
14.38
KB
-rwxr-xr-x
2024-09-26 08:44
usb-devices
4.83
KB
-rwxr-xr-x
2024-04-08 16:21
usbhid-dump
30.38
KB
-rwxr-xr-x
2024-04-08 16:21
usbreset
14.3
KB
-rwxr-xr-x
2024-04-08 16:21
users
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
utmpdump
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
uudecode
84.49
KB
-rwxr-xr-x
2023-02-03 18:10
uuencode
76.49
KB
-rwxr-xr-x
2023-02-03 18:10
uuidgen
18.38
KB
-rwxr-xr-x
2026-03-06 16:00
uuidparse
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
uz
2.48
KB
-rwxr-xr-x
2024-04-08 16:13
varlinkctl
30.45
KB
-rwxr-xr-x
2026-06-05 15:36
vdir
138.98
KB
-rwxr-xr-x
2026-01-23 13:30
vi
3.94
MB
-rwxr-xr-x
2026-07-13 17:17
view
3.94
MB
-rwxr-xr-x
2026-07-13 17:17
viewres
31.23
KB
-rwxr-xr-x
2024-03-31 17:27
vim
3.94
MB
-rwxr-xr-x
2026-07-13 17:17
vim.basic
3.94
MB
-rwxr-xr-x
2026-07-13 17:17
vimdiff
3.94
MB
-rwxr-xr-x
2026-07-13 17:17
vimtutor
2.1
KB
-rwxr-xr-x
2026-07-13 17:17
vmstat
38.78
KB
-rwxr-xr-x
2024-09-26 08:44
w
26.38
KB
-rwxr-xr-x
2024-09-26 08:44
wall
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
watch
30.84
KB
-rwxr-xr-x
2024-09-26 08:44
watchgnupg
22.3
KB
-rwxr-xr-x
2026-01-05 22:01
wc
54.52
KB
-rwxr-xr-x
2026-01-23 13:30
wdctl
34.4
KB
-rwxr-xr-x
2026-03-06 16:00
webpack
3.81
KB
-rwxr-xr-x
2023-03-14 02:48
webpack-cli
330
B
-rw-r--r--
2023-03-14 02:48
wget
459.02
KB
-rwxr-xr-x
2026-07-16 16:38
whatis
47.28
KB
-rwxr-xr-x
2024-04-08 14:45
whereis
30.84
KB
-rwxr-xr-x
2026-03-06 16:00
which
1.05
KB
-rwxr-xr-x
2024-03-31 08:47
which.debianutils
1.05
KB
-rwxr-xr-x
2024-03-31 08:47
who
58.52
KB
-rwxr-xr-x
2026-01-23 13:30
whoami
34.51
KB
-rwxr-xr-x
2026-01-23 13:30
whois
155.66
KB
-rwxr-xr-x
2024-04-01 18:14
whoopsie
50.91
KB
-rwxr-xr-x
2025-11-25 15:52
whoopsie-preferences
22.23
KB
-rwxr-xr-x
2024-03-31 08:33
word-list-compress
14.3
KB
-rwxr-xr-x
2024-04-08 15:54
write
22.38
KB
-rwxr-xr-x
2026-03-06 16:00
wscat
10.56
KB
-rwxr-xr-x
2023-11-23 07:27
wsdump
983
B
-rwxr-xr-x
2024-02-23 09:19
wsrep_sst_backup
2.39
KB
-rwxr-xr-x
2025-10-11 02:08
wsrep_sst_common
66.86
KB
-rwxr-xr-x
2025-10-11 02:08
wsrep_sst_mariabackup
49.23
KB
-rwxr-xr-x
2025-10-11 02:08
wsrep_sst_mysqldump
8.11
KB
-rwxr-xr-x
2025-10-11 02:08
wsrep_sst_rsync
29.72
KB
-rwxr-xr-x
2025-10-11 02:08
wsrep_sst_rsync_wan
29.72
KB
-rwxr-xr-x
2025-10-11 02:08
www-browser
1.91
MB
-rwxr-xr-x
2024-04-01 06:53
x-session-manager
953
B
-rwxr-xr-x
2024-04-15 15:49
x-terminal-emulator
2.65
KB
-rwxr-xr-x
2024-03-18 17:15
x86_64
26.65
KB
-rwxr-xr-x
2026-03-06 16:00
x86_64-linux-gnu-addr2line
30.7
KB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-ar
54.48
KB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-as
728.29
KB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-c++filt
22.27
KB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-cpp
1003.05
KB
-rwxr-xr-x
2025-12-18 20:59
x86_64-linux-gnu-cpp-11
906.92
KB
-rwxr-xr-x
2025-12-18 07:26
x86_64-linux-gnu-cpp-12
1.33
MB
-rwxr-xr-x
2025-12-18 07:53
x86_64-linux-gnu-cpp-13
1003.05
KB
-rwxr-xr-x
2025-12-18 20:59
x86_64-linux-gnu-cpp-9
766.71
KB
-rwxr-xr-x
2026-01-12 02:59
x86_64-linux-gnu-dwp
1.87
MB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-elfedit
34.72
KB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-g++
1003.05
KB
-rwxr-xr-x
2025-12-18 20:59
x86_64-linux-gnu-g++-13
1003.05
KB
-rwxr-xr-x
2025-12-18 20:59
x86_64-linux-gnu-gcc
999.05
KB
-rwxr-xr-x
2025-12-18 20:59
x86_64-linux-gnu-gcc-11
906.92
KB
-rwxr-xr-x
2025-12-18 07:26
x86_64-linux-gnu-gcc-12
1.33
MB
-rwxr-xr-x
2025-12-18 07:53
x86_64-linux-gnu-gcc-13
999.05
KB
-rwxr-xr-x
2025-12-18 20:59
x86_64-linux-gnu-gcc-9
766.71
KB
-rwxr-xr-x
2026-01-12 02:59
x86_64-linux-gnu-gcc-ar
26.58
KB
-rwxr-xr-x
2025-12-18 20:59
x86_64-linux-gnu-gcc-ar-11
26.59
KB
-rwxr-xr-x
2025-12-18 07:26
x86_64-linux-gnu-gcc-ar-12
34.7
KB
-rwxr-xr-x
2025-12-18 07:53
x86_64-linux-gnu-gcc-ar-13
26.58
KB
-rwxr-xr-x
2025-12-18 20:59
x86_64-linux-gnu-gcc-ar-9
26.52
KB
-rwxr-xr-x
2026-01-12 02:59
x86_64-linux-gnu-gcc-nm
26.58
KB
-rwxr-xr-x
2025-12-18 20:59
x86_64-linux-gnu-gcc-nm-11
26.59
KB
-rwxr-xr-x
2025-12-18 07:26
x86_64-linux-gnu-gcc-nm-12
34.7
KB
-rwxr-xr-x
2025-12-18 07:53
x86_64-linux-gnu-gcc-nm-13
26.58
KB
-rwxr-xr-x
2025-12-18 20:59
x86_64-linux-gnu-gcc-nm-9
22.51
KB
-rwxr-xr-x
2026-01-12 02:59
x86_64-linux-gnu-gcc-ranlib
26.58
KB
-rwxr-xr-x
2025-12-18 20:59
x86_64-linux-gnu-gcc-ranlib-11
26.59
KB
-rwxr-xr-x
2025-12-18 07:26
x86_64-linux-gnu-gcc-ranlib-12
34.7
KB
-rwxr-xr-x
2025-12-18 07:53
x86_64-linux-gnu-gcc-ranlib-13
26.58
KB
-rwxr-xr-x
2025-12-18 20:59
x86_64-linux-gnu-gcc-ranlib-9
26.52
KB
-rwxr-xr-x
2026-01-12 02:59
x86_64-linux-gnu-gcov
432.13
KB
-rwxr-xr-x
2025-12-18 20:59
x86_64-linux-gnu-gcov-11
400.05
KB
-rwxr-xr-x
2025-12-18 07:26
x86_64-linux-gnu-gcov-12
740.37
KB
-rwxr-xr-x
2025-12-18 07:53
x86_64-linux-gnu-gcov-13
432.13
KB
-rwxr-xr-x
2025-12-18 20:59
x86_64-linux-gnu-gcov-9
383.92
KB
-rwxr-xr-x
2026-01-12 02:59
x86_64-linux-gnu-gcov-dump
348.08
KB
-rwxr-xr-x
2025-12-18 20:59
x86_64-linux-gnu-gcov-dump-11
251.88
KB
-rwxr-xr-x
2025-12-18 07:26
x86_64-linux-gnu-gcov-dump-12
576.2
KB
-rwxr-xr-x
2025-12-18 07:53
x86_64-linux-gnu-gcov-dump-13
348.08
KB
-rwxr-xr-x
2025-12-18 20:59
x86_64-linux-gnu-gcov-dump-9
235.79
KB
-rwxr-xr-x
2026-01-12 02:59
x86_64-linux-gnu-gcov-tool
304.05
KB
-rwxr-xr-x
2025-12-18 20:59
x86_64-linux-gnu-gcov-tool-11
275.97
KB
-rwxr-xr-x
2025-12-18 07:26
x86_64-linux-gnu-gcov-tool-12
600.3
KB
-rwxr-xr-x
2025-12-18 07:53
x86_64-linux-gnu-gcov-tool-13
304.05
KB
-rwxr-xr-x
2025-12-18 20:59
x86_64-linux-gnu-gcov-tool-9
267.86
KB
-rwxr-xr-x
2026-01-12 02:59
x86_64-linux-gnu-gold
3.07
MB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-gp-archive
158.53
KB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-gp-collect-app
174.37
KB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-gp-display-html
626.89
KB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-gp-display-src
150.35
KB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-gp-display-text
290.37
KB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-gprof
99.79
KB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-gprofng
138.35
KB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-ld
1.3
MB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-ld.bfd
1.3
MB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-ld.gold
3.07
MB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-lto-dump
27.99
MB
-rwxr-xr-x
2025-12-18 20:59
x86_64-linux-gnu-lto-dump-11
24.01
MB
-rwxr-xr-x
2025-12-18 07:26
x86_64-linux-gnu-lto-dump-12
31.09
MB
-rwxr-xr-x
2025-12-18 07:53
x86_64-linux-gnu-lto-dump-13
27.99
MB
-rwxr-xr-x
2025-12-18 20:59
x86_64-linux-gnu-nm
43.5
KB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-objcopy
162.63
KB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-objdump
381.69
KB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-ranlib
54.48
KB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-readelf
770.78
KB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-size
30.45
KB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-strings
34.61
KB
-rwxr-xr-x
2026-02-09 21:03
x86_64-linux-gnu-strip
162.66
KB
-rwxr-xr-x
2026-02-09 21:03
xargs
62.41
KB
-rwxr-xr-x
2024-04-08 15:57
xcmsdb
35.05
KB
-rwxr-xr-x
2024-03-31 17:27
xconv.pl
3.06
KB
-rwxr-xr-x
2024-04-01 08:35
xdg-dbus-proxy
58.15
KB
-rwxr-xr-x
2026-04-10 10:46
xdg-desktop-icon
20.16
KB
-rwxr-xr-x
2022-08-01 14:14
xdg-desktop-menu
42.27
KB
-rwxr-xr-x
2022-08-01 14:14
xdg-email
26.3
KB
-rwxr-xr-x
2022-08-01 14:14
xdg-icon-resource
29.33
KB
-rwxr-xr-x
2022-08-01 14:14
xdg-mime
41.14
KB
-rwxr-xr-x
2022-08-01 14:14
xdg-open
25.46
KB
-rwxr-xr-x
2022-08-01 14:14
xdg-screensaver
37.11
KB
-rwxr-xr-x
2022-08-01 14:14
xdg-settings
37.52
KB
-rwxr-xr-x
2022-08-01 14:14
xdpyinfo
39.05
KB
-rwxr-xr-x
2024-03-31 17:27
xdriinfo
14.3
KB
-rwxr-xr-x
2024-03-31 17:27
xev
34.63
KB
-rwxr-xr-x
2024-03-31 17:27
xfd
40.01
KB
-rwxr-xr-x
2024-03-31 17:27
xfontsel
43.85
KB
-rwxr-xr-x
2024-03-31 17:27
xgamma
14.31
KB
-rwxr-xr-x
2024-03-31 17:27
xgettext
293.01
KB
-rwxr-xr-x
2024-04-08 15:58
xhost
18.31
KB
-rwxr-xr-x
2024-03-31 17:27
xkeystone
16.58
KB
-rwxr-xr-x
2024-03-31 17:27
xkill
14.3
KB
-rwxr-xr-x
2024-03-31 17:27
xlsatoms
14.3
KB
-rwxr-xr-x
2024-03-31 17:27
xlsclients
18.31
KB
-rwxr-xr-x
2024-03-31 17:27
xlsfonts
26.4
KB
-rwxr-xr-x
2024-03-31 17:27
xmessage
23.19
KB
-rwxr-xr-x
2024-03-31 17:27
xmlwf
38.15
KB
-rwxr-xr-x
2026-02-04 15:24
xmodmap
42.68
KB
-rwxr-xr-x
2024-03-31 17:27
xprop
48.61
KB
-rwxr-xr-x
2024-03-31 17:27
xrandr
66.41
KB
-rwxr-xr-x
2024-03-31 17:27
xrdb
34.4
KB
-rwxr-xr-x
2024-03-31 17:27
xrefresh
14.38
KB
-rwxr-xr-x
2024-03-31 17:27
xset
34.31
KB
-rwxr-xr-x
2024-03-31 17:27
xsetmode
14.31
KB
-rwxr-xr-x
2024-03-31 17:27
xsetpointer
14.31
KB
-rwxr-xr-x
2024-03-31 17:27
xsetroot
18.31
KB
-rwxr-xr-x
2024-03-31 17:27
xstdcmap
14.89
KB
-rwxr-xr-x
2024-03-31 17:27
xsubpp
5.05
KB
-rwxr-xr-x
2026-06-12 13:42
xvidtune
43.76
KB
-rwxr-xr-x
2024-03-31 17:27
xvinfo
18.3
KB
-rwxr-xr-x
2024-03-31 17:27
xwininfo
50.38
KB
-rwxr-xr-x
2024-03-31 17:27
xxd
22.28
KB
-rwxr-xr-x
2026-07-13 17:17
xz
86.92
KB
-rwxr-xr-x
2026-05-28 16:06
xzcat
86.92
KB
-rwxr-xr-x
2026-05-28 16:06
xzcmp
7.25
KB
-rwxr-xr-x
2026-05-28 16:06
xzdiff
7.25
KB
-rwxr-xr-x
2026-05-28 16:06
xzegrep
10.09
KB
-rwxr-xr-x
2026-05-28 16:06
xzfgrep
10.09
KB
-rwxr-xr-x
2026-05-28 16:06
xzgrep
10.09
KB
-rwxr-xr-x
2026-05-28 16:06
xzless
1.77
KB
-rwxr-xr-x
2026-05-28 16:06
xzmore
2.14
KB
-rwxr-xr-x
2026-05-28 16:06
yelp
58.23
KB
-rwxr-xr-x
2025-04-17 14:58
yes
34.38
KB
-rwxr-xr-x
2026-01-23 13:30
ypdomainname
22.23
KB
-rwxr-xr-x
2024-04-08 15:59
zcat
1.94
KB
-rwxr-xr-x
2026-07-03 11:53
zcmp
1.64
KB
-rwxr-xr-x
2026-07-03 11:53
zdiff
6.3
KB
-rwxr-xr-x
2026-07-03 11:53
zdump
30.28
KB
-rwxr-xr-x
2026-07-23 17:18
zegrep
29
B
-rwxr-xr-x
2026-07-03 11:53
zfgrep
29
B
-rwxr-xr-x
2026-07-03 11:53
zforce
2.03
KB
-rwxr-xr-x
2026-07-03 11:53
zgrep
7.91
KB
-rwxr-xr-x
2026-07-03 11:53
zipdetails
68.55
KB
-rwxr-xr-x
2026-06-12 13:42
zipgrep
2.89
KB
-rwxr-xr-x
2024-10-02 13:29
zipinfo
174.42
KB
-rwxr-xr-x
2024-10-02 13:29
zless
2.15
KB
-rwxr-xr-x
2026-07-03 11:53
zmore
1.8
KB
-rwxr-xr-x
2026-07-03 11:53
znew
4.47
KB
-rwxr-xr-x
2026-07-03 11:53
zstd
998.79
KB
-rwxr-xr-x
2024-08-09 02:33
zstdcat
998.79
KB
-rwxr-xr-x
2024-08-09 02:33
zstdgrep
3.78
KB
-rwxr-xr-x
2024-08-09 02:33
zstdless
197
B
-rwxr-xr-x
2024-08-09 02:33
zstdmt
998.79
KB
-rwxr-xr-x
2024-08-09 02:33
Save
Rename
#!/usr/bin/env bash set -ue # Copyright (C) 2017-2024 MariaDB # Copyright (C) 2010-2022 Codership Oy # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; version 2 of the License. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program; see the file COPYING. If not, write to the # Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston # MA 02110-1335 USA. # This is a reference script for rsync-based state snapshot transfer. . $(dirname "$0")/wsrep_sst_common wsrep_check_programs rsync RSYNC_REAL_PID=0 # rsync process id STUNNEL_REAL_PID=0 # stunnel process id MODULE="${WSREP_SST_OPT_MODULE:-rsync_sst}" RSYNC_PID="$DATA/$MODULE.pid" RSYNC_CONF="$DATA/$MODULE.conf" STUNNEL_CONF="$DATA/stunnel.conf" STUNNEL_PID="$DATA/stunnel.pid" MAGIC_FILE="$DATA/rsync_sst_complete" cleanup_joiner() { # Since this is invoked just after exit NNN local estatus=$? if [ $estatus -ne 0 ]; then wsrep_log_error "Cleanup after exit with status: $estatus" elif [ -z "${coords:-}" ]; then estatus=32 wsrep_log_error "Failed to get current position" fi local failure=0 [ "$(pwd)" != "$OLD_PWD" ] && cd "$OLD_PWD" wsrep_log_info "Joiner cleanup: rsync PID=$RSYNC_REAL_PID," \ "stunnel PID=$STUNNEL_REAL_PID" if [ -n "$STUNNEL" ]; then if cleanup_pid $STUNNEL_REAL_PID "$STUNNEL_PID" "$STUNNEL_CONF"; then if [ $RSYNC_REAL_PID -eq 0 ]; then if [ -r "$RSYNC_PID" ]; then RSYNC_REAL_PID=$(cat "$RSYNC_PID" 2>/dev/null || :) if [ -z "$RSYNC_REAL_PID" ]; then RSYNC_REAL_PID=0 fi fi fi else wsrep_log_warning "stunnel cleanup failed." failure=1 fi fi if [ $failure -eq 0 ]; then if cleanup_pid $RSYNC_REAL_PID "$RSYNC_PID" "$RSYNC_CONF"; then [ -f "$MAGIC_FILE" ] && rm -f "$MAGIC_FILE" || : [ -f "$BINLOG_TAR_FILE" ] && rm -f "$BINLOG_TAR_FILE" || : else wsrep_log_warning "rsync cleanup failed." fi fi if [ "$WSREP_SST_OPT_ROLE" = 'joiner' ]; then wsrep_cleanup_progress_file fi [ -f "$SST_PID" ] && rm -f "$SST_PID" || : wsrep_log_info "Joiner cleanup done." exit $estatus } check_pid_and_port() { local pid_file="$1" local pid=$2 local addr="$3" local port="$4" local utils='rsync|stunnel' local port_info local final if ! check_port $pid "$port" "$utils"; then if [ $ss_available -ne 0 -o $sockstat_available -ne 0 ]; then if [ $ss_available -ne 0 ]; then port_info=$($socket_utility $ss_opts -t "( sport = :$port )" 2>/dev/null | \ grep -E '[[:space:]]users:[[:space:]]?\(' | \ grep -o -E "([^[:space:]]+[[:space:]]+){4}[^[:space:]]+" || :) else if [ $sockstat_available -gt 1 ]; then # The sockstat command on FreeBSD does not return # the connection state without special option, but # it supports filtering by connection state. # Additionally, the sockstat utility on FreeBSD # produces an one extra column: port_info=$($socket_utility $sockstat_opts "$port" 2>/dev/null | \ grep -o -E "([^[:space:]]+[[:space:]]+){5}[^[:space:]]+" || :) else port_info=$($socket_utility $sockstat_opts "$port" 2>/dev/null | \ grep -E '[[:space:]]LISTEN([[:space:]]|$)' | \ grep -o -E "([^[:space:]]+[[:space:]]+){4}[^[:space:]]+" || :) fi fi final='$' else port_info=$($socket_utility $lsof_opts -i ":$port" 2>/dev/null | \ grep -w -F '(LISTEN)' || :) final='[[:space:]]' fi local busy=0 if [ -n "$port_info" ]; then local address='(\*|[0-9a-fA-F]*(:[0-9a-fA-F]*){1,7}|[0-9]+(\.[0-9]+){3})' local filter="[[:space:]]($address|\\[$address\\])(%[^:]+)?:$port$final" echo "$port_info" | grep -q -E "$filter" && busy=1 fi if [ $busy -eq 0 ]; then if ! ps -p $pid >/dev/null 2>&1; then wsrep_log_error \ "the rsync or stunnel daemon (PID: $pid)" \ "terminated unexpectedly." exit 16 # EBUSY fi return 1 fi local rc=0 check_port $pid "$port" "$utils" || rc=$? if [ $rc -eq 16 ]; then # We will ignore the return code EBUSY, which indicates # a failed attempt to run the utility for retrieving # socket information (on some systems): return 1 elif [ $rc -ne 0 ]; then wsrep_log_error "rsync or stunnel daemon port '$port'" \ "has been taken by another program" exit 16 # EBUSY fi fi check_pid "$pid_file" && [ $CHECK_PID -eq $pid ] } get_binlog if [ -n "$WSREP_SST_OPT_BINLOG" ]; then binlog_dir=$(dirname "$WSREP_SST_OPT_BINLOG") binlog_base=$(basename "$WSREP_SST_OPT_BINLOG") fi BINLOG_TAR_FILE="$DATA_DIR/wsrep_sst_binlog.tar" ar_log_dir="$DATA_DIR" ib_log_dir="$DATA_DIR" ib_home_dir="$DATA_DIR" ib_undo_dir="$DATA_DIR" encgroups='--mysqld|sst' check_server_ssl_config SSTKEY="$tkey" SSTCERT="$tpem" SSTCA="$tcert" SSTCAP="$tcap" SSLMODE=$(parse_cnf "$encgroups" 'ssl-mode' | tr '[[:lower:]]' '[[:upper:]]') if [ -z "$SSLMODE" ]; then # Implicit verification if CA is set and the SSL mode # is not specified by user: if [ -n "$SSTCA$SSTCAP" ]; then STUNNEL_BIN=$(commandex 'stunnel') if [ -n "$STUNNEL_BIN" ]; then SSLMODE='VERIFY_CA' fi # Require SSL by default if SSL key and cert are present: elif [ -n "$SSTKEY" -a -n "$SSTCERT" ]; then SSLMODE='REQUIRED' fi else case "$SSLMODE" in 'VERIFY_IDENTITY'|'VERIFY_CA'|'REQUIRED'|'DISABLED') ;; *) wsrep_log_error "Unrecognized ssl-mode option: '$SSLMODE'" exit 22 # EINVAL ;; esac fi if [ -n "$SSTKEY" -a -n "$SSTCERT" ]; then verify_cert_matches_key "$SSTCERT" "$SSTKEY" fi CAFILE_OPT="" CAPATH_OPT="" if [ -n "$SSTCA$SSTCAP" ]; then if [ -n "$SSTCA" ]; then CAFILE_OPT="CAfile = $SSTCA" fi if [ -n "$SSTCAP" ]; then CAPATH_OPT="CApath = $SSTCAP" fi if [ -n "$SSTCERT" ]; then verify_ca_matches_cert "$SSTCERT" "$SSTCA" "$SSTCAP" fi fi VERIFY_OPT="" CHECK_OPT="" CHECK_OPT_LOCAL="" if [ "${SSLMODE#VERIFY}" != "$SSLMODE" ]; then if [ "$SSLMODE" = 'VERIFY_IDENTITY' ]; then VERIFY_OPT='verifyPeer = yes' else VERIFY_OPT='verifyChain = yes' fi if [ -z "$SSTCA$SSTCAP" ]; then wsrep_log_error "Can't have ssl-mode='$SSLMODE' without CA file or path" exit 22 # EINVAL fi if [ -n "$WSREP_SST_OPT_REMOTE_USER" ]; then CHECK_OPT="checkHost = $WSREP_SST_OPT_REMOTE_USER" elif [ "$WSREP_SST_OPT_ROLE" = 'donor' ]; then # check if the address is an ip-address (v4 or v6): if echo "$WSREP_SST_OPT_HOST_UNESCAPED" | \ grep -q -E '^([0-9]+(\.[0-9]+){3}|[0-9a-fA-F]*(:[0-9a-fA-F]*){1,7})$' then CHECK_OPT="checkIP = $WSREP_SST_OPT_HOST_UNESCAPED" else CHECK_OPT="checkHost = $WSREP_SST_OPT_HOST" fi if is_local_ip "$WSREP_SST_OPT_HOST_UNESCAPED"; then CHECK_OPT_LOCAL='checkHost = localhost' fi fi fi STUNNEL="" if [ -n "$SSLMODE" -a "$SSLMODE" != 'DISABLED' ]; then if [ -z "${STUNNEL_BIN+x}" ]; then STUNNEL_BIN=$(commandex 'stunnel') fi if [ -n "$STUNNEL_BIN" ]; then wsrep_log_info "Using stunnel for SSL encryption: CA: '$SSTCA'," \ "CAPATH='$SSTCAP', ssl-mode='$SSLMODE'" STUNNEL="$STUNNEL_BIN $STUNNEL_CONF" fi fi readonly SECRET_TAG='secret' readonly BYPASS_TAG='bypass' wait_previous_sst # give some time for stunnel from the previous SST to complete: check_round=0 while check_pid "$STUNNEL_PID" 1 "$STUNNEL_CONF"; do wsrep_log_info "Lingering stunnel daemon found at startup," \ "waiting for it to exit" check_round=$(( check_round+1 )) if [ $check_round -eq 30 ]; then wsrep_log_error "stunnel daemon still running..." exit 114 # EALREADY fi sleep 1 done # give some time for rsync from the previous SST to complete: check_round=0 while check_pid "$RSYNC_PID" 1 "$RSYNC_CONF"; do wsrep_log_info "Lingering rsync daemon found at startup," \ "waiting for it to exit" check_round=$(( check_round+1 )) if [ $check_round -eq 30 ]; then wsrep_log_error "rsync daemon still running..." exit 114 # EALREADY fi sleep 1 done [ -f "$MAGIC_FILE" ] && rm -f "$MAGIC_FILE" [ -f "$BINLOG_TAR_FILE" ] && rm -f "$BINLOG_TAR_FILE" RC=0 if [ "$WSREP_SST_OPT_ROLE" = 'donor' ]; then if [ -n "$STUNNEL" ]; then cat << EOF > "$STUNNEL_CONF" key = $SSTKEY cert = $SSTCERT ${CAFILE_OPT} ${CAPATH_OPT} foreground = yes pid = $STUNNEL_PID debug = warning client = yes connect = $WSREP_SST_OPT_HOST_UNESCAPED:$WSREP_SST_OPT_PORT TIMEOUTclose = 0 ${VERIFY_OPT} ${CHECK_OPT} ${CHECK_OPT_LOCAL} EOF fi if [ $WSREP_SST_OPT_BYPASS -eq 0 ]; then FLUSHED="$DATA/tables_flushed" ERROR="$DATA/sst_error" [ -f "$FLUSHED" ] && rm -f "$FLUSHED" [ -f "$ERROR" ] && rm -f "$ERROR" echo 'flush tables' # Wait for : # (a) Tables to be flushed, AND # (b) Cluster state ID & wsrep_gtid_domain_id to be written to the file, OR # (c) ERROR file, in case flush tables operation failed. while [ ! -r "$FLUSHED" ] || \ ! grep -q -F ':' -- "$FLUSHED" do # Check whether ERROR file exists. if [ -f "$ERROR" ]; then # Flush tables operation failed. rm "$ERROR" exit 255 fi sleep 0.2 done STATE=$(cat "$FLUSHED") rm "$FLUSHED" sync wsrep_log_info "Tables flushed" if [ -n "$WSREP_SST_OPT_BINLOG" ]; then # Change the directory to binlog base (if possible): cd "$DATA" # Let's check the existence of the file with the index: if [ -f "$WSREP_SST_OPT_BINLOG_INDEX" ]; then # Let's read the binlog index: max_binlogs=$(parse_cnf "$encgroups" 'sst-max-binlogs' 1) if [ $max_binlogs -ge 0 ]; then binlog_files="" if [ $max_binlogs -gt 0 ]; then binlog_files=$(tail -n $max_binlogs \ "$WSREP_SST_OPT_BINLOG_INDEX") fi else binlog_files=$(cat "$WSREP_SST_OPT_BINLOG_INDEX") fi if [ -n "$binlog_files" ]; then # Preparing binlog files for transfer: wsrep_log_info "Preparing binlog files for transfer:" tar_type=0 if tar --help 2>/dev/null | grep -qw -F -- '--transform'; then tar_type=1 elif tar --version 2>/dev/null | grep -qw -E '^bsdtar'; then tar_type=2 fi if [ $tar_type -eq 2 ]; then echo "$binlog_files" >&2 fi if [ $tar_type -ne 0 ]; then # Preparing list of the binlog file names: echo "$binlog_files" | { binlogs="" while read bin_file || [ -n "$bin_file" ]; do [ ! -f "$bin_file" ] && continue if [ -n "$BASH_VERSION" ]; then first="${bin_file:0:1}" else first=$(echo "$bin_file" | cut -c1) fi if [ "$first" = '-' -o "$first" = '@' ]; then bin_file="./$bin_file" fi binlogs="$binlogs${binlogs:+ }'$bin_file'" done if [ -n "$binlogs" ]; then if [ $tar_type -eq 1 ]; then tar_options="--transform='s/^.*\///g'" else # bsdtar handles backslash incorrectly: tar_options="-s '?^.*/??g'" fi eval tar -P $tar_options \ -cvf "'$BINLOG_TAR_FILE'" $binlogs >&2 fi } else tar_options='-cvf' echo "$binlog_files" | \ while read bin_file || [ -n "$bin_file" ]; do [ ! -f "$bin_file" ] && continue bin_dir=$(dirname "$bin_file") bin_base=$(basename "$bin_file") if [ -n "$BASH_VERSION" ]; then first="${bin_base:0:1}" else first=$(echo "$bin_base" | cut -c1) fi if [ "$first" = '-' -o "$first" = '@' ]; then bin_base="./$bin_base" fi if [ -n "$bin_dir" -a "$bin_dir" != '.' -a \ "$bin_dir" != "$DATA_DIR" ] then tar $tar_options "$BINLOG_TAR_FILE" \ -C "$bin_dir" "$bin_base" >&2 else tar $tar_options "$BINLOG_TAR_FILE" \ "$bin_base" >&2 fi tar_options='-rvf' done fi fi fi cd "$OLD_PWD" fi # Use deltaxfer only for WAN: WHOLE_FILE_OPT="" if [ "${WSREP_METHOD%_wan}" = "$WSREP_METHOD" ]; then WHOLE_FILE_OPT='--whole-file' fi # Old filter - include everything except selected # FILTER=(--exclude '*.err' --exclude '*.pid' --exclude '*.sock' \ # --exclude '*.conf' --exclude core --exclude 'galera.*' \ # --exclude grastate.txt --exclude '*.pem' \ # --exclude '*.[0-9][0-9][0-9][0-9][0-9][0-9]' --exclude '*.index') # New filter - exclude everything except dirs (schemas) and innodb files FILTER="-f '- /lost+found' -f '- /.zfs' -f '- /.fseventsd' -f '- /.Trashes' -f '- /.pid' -f '- /.conf' -f '- /.snapshot/' -f '+ /wsrep_sst_binlog.tar' -f '- $ib_home_dir/ib_lru_dump' -f '- $ib_home_dir/ibdata*' -f '- $ib_undo_dir/undo*' -f '- $ib_log_dir/ib_logfile[0-9]*' -f '- $ar_log_dir/aria_log_control' -f '- $ar_log_dir/aria_log.*' -f '+ /*/' -f '- /*'" # first, the normal directories, so that we can detect # incompatible protocol: eval rsync ${STUNNEL:+"--rsh='$STUNNEL'"} \ --owner --group --perms --links --specials \ --ignore-times --inplace --dirs --delete --quiet \ $WHOLE_FILE_OPT $FILTER "'$DATA/'" \ "'rsync://$WSREP_SST_OPT_ADDR'" >&2 || RC=$? if [ $RC -ne 0 ]; then wsrep_log_error "rsync returned code $RC:" case $RC in 12) RC=71 # EPROTO wsrep_log_error \ "rsync server on the other end has incompatible" \ "protocol. Make sure you have the same version of" \ "rsync on all nodes." ;; 22) RC=12 # ENOMEM ;; *) RC=255 # unknown error ;; esac exit $RC fi wsrep_log_info "Transfer of normal directories done" if [ -d "$ib_home_dir" ]; then # Transfer InnoDB data files rsync ${STUNNEL:+--rsh="$STUNNEL"} \ --owner --group --perms --links --specials \ --ignore-times --inplace --dirs --delete --quiet \ $WHOLE_FILE_OPT -f '+ /ibdata*' -f '+ /ib_lru_dump' \ -f '- **' "$ib_home_dir/" \ "rsync://$WSREP_SST_OPT_ADDR-data_dir" >&2 || RC=$? if [ $RC -ne 0 ]; then wsrep_log_error "rsync innodb_data_home_dir returned code $RC:" exit 255 # unknown error fi wsrep_log_info "Transfer of InnoDB data files done" fi if [ -d "$ib_log_dir" ]; then # second, we transfer the InnoDB log file rsync ${STUNNEL:+--rsh="$STUNNEL"} \ --owner --group --perms --links --specials \ --ignore-times --inplace --dirs --delete --quiet \ $WHOLE_FILE_OPT -f '+ /ib_logfile0' \ -f '- **' "$ib_log_dir/" \ "rsync://$WSREP_SST_OPT_ADDR-log_dir" >&2 || RC=$? if [ $RC -ne 0 ]; then wsrep_log_error "rsync innodb_log_group_home_dir returned code $RC:" exit 255 # unknown error fi wsrep_log_info "Transfer of InnoDB log files done" fi if [ "$ib_undo_dir" ]; then # third, we transfer InnoDB undo logs rsync ${STUNNEL:+--rsh="$STUNNEL"} \ --owner --group --perms --links --specials \ --ignore-times --inplace --dirs --delete --quiet \ $WHOLE_FILE_OPT -f '+ /undo*' \ -f '- **' "$ib_undo_dir/" \ "rsync://$WSREP_SST_OPT_ADDR-undo_dir" >&2 || RC=$? if [ $RC -ne 0 ]; then wsrep_log_error "rsync innodb_undo_dir returned code $RC:" exit 255 # unknown error fi wsrep_log_info "Transfer of InnoDB undo logs done" fi if [ "$ar_log_dir" ]; then # fourth, we transfer Aria logs rsync ${STUNNEL:+--rsh="$STUNNEL"} \ --owner --group --perms --links --specials \ --ignore-times --inplace --dirs --delete --quiet \ $WHOLE_FILE_OPT -f '+ /aria_log_control' -f '+ /aria_log.*' \ -f '- **' "$ar_log_dir/" \ "rsync://$WSREP_SST_OPT_ADDR-aria_log" >&2 || RC=$? if [ $RC -ne 0 ]; then wsrep_log_error "rsync aria_log_dir_path returned code $RC:" exit 255 # unknown error fi wsrep_log_info "Transfer of Aria logs done" fi # then, we parallelize the transfer of database directories, # use '.' so that path concatenation works: backup_threads=$(parse_cnf '--mysqld|sst' 'backup-threads') if [ -z "$backup_threads" ]; then get_proc backup_threads=$nproc fi cd "$DATA" findopt='-L' [ "$OS" = 'FreeBSD' ] && findopt="$findopt -E" find $findopt . -maxdepth 1 -mindepth 1 -type d -not -name 'lost+found' \ -not -name '.zfs' -not -name .snapshot -print0 \ | xargs -I{} -0 -P $backup_threads \ rsync ${STUNNEL:+--rsh="$STUNNEL"} \ --owner --group --perms --links --specials --ignore-times \ --inplace --recursive --delete --quiet $WHOLE_FILE_OPT \ -f '- $ib_home_dir/ib_lru_dump' \ -f '- $ib_home_dir/ibdata*' \ -f '- $ib_undo_dir/undo*' \ -f '- $ib_log_dir/ib_logfile[0-9]*' \ -f '- $ar_log_dir/aria_log_control' \ -f '- $ar_log_dir/aria_log.*' \ "$DATA/{}/" \ "rsync://$WSREP_SST_OPT_ADDR/{}" >&2 || RC=$? cd "$OLD_PWD" if [ $RC -ne 0 ]; then wsrep_log_error "find/rsync returned code $RC:" exit 255 # unknown error fi wsrep_log_info "Transfer of data done" [ -f "$BINLOG_TAR_FILE" ] && rm "$BINLOG_TAR_FILE" else # BYPASS wsrep_log_info "Bypassing state dump." # Store donor's wsrep GTID (state ID) and wsrep_gtid_domain_id # (separated by a space). STATE="$WSREP_SST_OPT_GTID $WSREP_SST_OPT_GTID_DOMAIN_ID" fi wsrep_log_info "Sending continue to donor" echo 'continue' # now server can resume updating data echo "$STATE" > "$MAGIC_FILE" if [ -n "$WSREP_SST_OPT_REMOTE_PSWD" ]; then # Let joiner know that we know its secret echo "$SECRET_TAG $WSREP_SST_OPT_REMOTE_PSWD" >> "$MAGIC_FILE" fi if [ $WSREP_SST_OPT_BYPASS -ne 0 ]; then echo "$BYPASS_TAG" >> "$MAGIC_FILE" fi rsync ${STUNNEL:+--rsh="$STUNNEL"} \ --archive --quiet --checksum "$MAGIC_FILE" \ "rsync://$WSREP_SST_OPT_ADDR" >&2 || RC=$? rm "$MAGIC_FILE" if [ $RC -ne 0 ]; then wsrep_log_error "rsync $MAGIC_FILE returned code $RC:" exit 255 # unknown error fi echo "done $STATE" if [ -n "$STUNNEL" ]; then rm "$STUNNEL_CONF" [ -f "$STUNNEL_PID" ] && rm "$STUNNEL_PID" fi else # joiner check_sockets_utils create_dirs ADDR="$WSREP_SST_OPT_HOST" RSYNC_PORT="$WSREP_SST_OPT_PORT" RSYNC_ADDR="$WSREP_SST_OPT_HOST" RSYNC_ADDR_UNESCAPED="$WSREP_SST_OPT_HOST_UNESCAPED" trap cleanup_joiner EXIT touch "$SST_PROGRESS_FILE" if [ -n "${MYSQL_TMP_DIR:-}" ]; then SILENT="log file = $MYSQL_TMP_DIR/rsyncd.log" else SILENT="" fi cat << EOF > "$RSYNC_CONF" pid file = $RSYNC_PID use chroot = no read only = no timeout = 300 $SILENT [$MODULE] path = $DATA exclude = .zfs [$MODULE-log_dir] path = $ib_log_dir [$MODULE-data_dir] path = $ib_home_dir [$MODULE-undo_dir] path = $ib_undo_dir [$MODULE-aria_log] path = $ar_log_dir EOF # If the IP is local, listen only on it: if is_local_ip "$RSYNC_ADDR_UNESCAPED"; then RSYNC_EXTRA_ARGS="--address $RSYNC_ADDR_UNESCAPED" STUNNEL_ACCEPT="$RSYNC_ADDR_UNESCAPED:$RSYNC_PORT" else # Not local, possibly a NAT, listen on all interfaces: RSYNC_EXTRA_ARGS="" STUNNEL_ACCEPT="$RSYNC_PORT" # Overwrite address with all: RSYNC_ADDR='*' fi if [ -z "$STUNNEL" ]; then rsync --daemon --no-detach --port "$RSYNC_PORT" \ --config "$RSYNC_CONF" $RSYNC_EXTRA_ARGS & RSYNC_REAL_PID=$! TRANSFER_REAL_PID=$RSYNC_REAL_PID TRANSFER_PID="$RSYNC_PID" else # Let's check if the path to the config file contains a space? RSYNC_BIN=$(commandex 'rsync') if [ "${RSYNC_CONF#* }" = "$RSYNC_CONF" ]; then cat << EOF > "$STUNNEL_CONF" key = $SSTKEY cert = $SSTCERT ${CAFILE_OPT} ${CAPATH_OPT} foreground = yes pid = $STUNNEL_PID debug = warning client = no ${VERIFY_OPT} ${CHECK_OPT} ${CHECK_OPT_LOCAL} [rsync] accept = $STUNNEL_ACCEPT exec = $RSYNC_BIN execargs = rsync --server --daemon --config=$RSYNC_CONF . EOF else # The path contains a space, so we will run it via # shell with "eval" command: export RSYNC_CMD="eval '$RSYNC_BIN' --server --daemon --config='$RSYNC_CONF' ." cat << EOF > "$STUNNEL_CONF" key = $SSTKEY cert = $SSTCERT ${CAFILE_OPT} ${CAPATH_OPT} foreground = yes pid = $STUNNEL_PID debug = warning client = no ${VERIFY_OPT} ${CHECK_OPT} ${CHECK_OPT_LOCAL} [rsync] accept = $STUNNEL_ACCEPT exec = $SHELL execargs = $SHELL -c \$RSYNC_CMD EOF fi stunnel "$STUNNEL_CONF" & STUNNEL_REAL_PID=$! TRANSFER_REAL_PID=$STUNNEL_REAL_PID TRANSFER_PID="$STUNNEL_PID" fi if [ "${SSLMODE#VERIFY}" != "$SSLMODE" ]; then # backward-incompatible behavior: CN="" if [ -n "$SSTCERT" ]; then CN=$(openssl_getCN "$SSTCERT") fi MY_SECRET="$(wsrep_gen_secret)" # Add authentication data to address ADDR="$CN:$MY_SECRET@$WSREP_SST_OPT_HOST" else MY_SECRET="" # for check down in recv_joiner() fi until check_pid_and_port "$TRANSFER_PID" $TRANSFER_REAL_PID \ "$RSYNC_ADDR_UNESCAPED" "$RSYNC_PORT" do sleep 0.2 done echo "ready $ADDR:$RSYNC_PORT/$MODULE" # wait for SST to complete by monitoring magic file while [ ! -r "$MAGIC_FILE" ] && check_pid "$TRANSFER_PID" && \ ps -p $WSREP_SST_OPT_PARENT >/dev/null 2>&1 do sleep 1 done if ! ps -p $WSREP_SST_OPT_PARENT >/dev/null 2>&1; then wsrep_log_error \ "Parent mysqld process (PID: $WSREP_SST_OPT_PARENT)" \ "terminated unexpectedly." kill -- -$WSREP_SST_OPT_PARENT sleep 1 exit 32 fi if [ ! -r "$MAGIC_FILE" ]; then # This message should cause joiner to abort: wsrep_log_info "rsync process ended without creating" \ "magic file ($MAGIC_FILE)" exit 32 fi if [ -n "$MY_SECRET" ]; then # Check donor supplied secret: SECRET=$(grep -m1 -E "^$SECRET_TAG[[:space:]]" "$MAGIC_FILE" || :) SECRET=$(trim_string "${SECRET#$SECRET_TAG}") if [ "$SECRET" != "$MY_SECRET" ]; then wsrep_log_error "Donor does not know my secret!" wsrep_log_info "Donor: '$SECRET', my: '$MY_SECRET'" exit 32 fi fi if [ $WSREP_SST_OPT_BYPASS -eq 0 ]; then if grep -m1 -qE "^$BYPASS_TAG([[:space:]]+.*)?\$" "$MAGIC_FILE"; then readonly WSREP_SST_OPT_BYPASS=1 readonly WSREP_TRANSFER_TYPE='IST' fi fi binlog_tar_present=0 if [ -f "$BINLOG_TAR_FILE" ]; then binlog_tar_present=1 if [ $WSREP_SST_OPT_BYPASS -ne 0 ]; then wsrep_log_warning "tar with binlogs transferred in the IST mode" fi fi if [ $WSREP_SST_OPT_BYPASS -eq 0 -a -n "$WSREP_SST_OPT_BINLOG" ]; then # If it is SST (not an IST) or tar with binlogs is present # among the transferred files, then we need to remove the # old binlogs: cd "$DATA" # Clean up the old binlog files and index: binlog_index="$WSREP_SST_OPT_BINLOG_INDEX" if [ -f "$binlog_index" ]; then while read bin_file || [ -n "$bin_file" ]; do rm -f "$bin_file" || : done < "$binlog_index" rm "$binlog_index" fi binlog_cd=0 # Change the directory to binlog base (if possible): if [ -n "$binlog_dir" -a "$binlog_dir" != '.' -a \ "$binlog_dir" != "$DATA_DIR" -a -d "$binlog_dir" ] then binlog_cd=1 cd "$binlog_dir" fi # Clean up unindexed binlog files: rm -f "$binlog_base".[0-9]* || : [ $binlog_cd -ne 0 ] && cd "$DATA_DIR" if [ $binlog_tar_present -ne 0 ]; then # Create a temporary file: tmpdir=$(parse_cnf '--mysqld|sst' 'tmpdir') if [ -z "$tmpdir" ]; then tmpfile="$(mktemp)" elif [ "$OS" = 'Linux' ]; then tmpfile=$(mktemp "--tmpdir=$tmpdir") else tmpfile=$(TMPDIR="$tmpdir"; mktemp) fi index_dir=$(dirname "$binlog_index"); if [ -n "$index_dir" -a "$index_dir" != '.' -a \ "$index_dir" != "$DATA_DIR" ] then [ ! -d "$index_dir" ] && mkdir -p "$index_dir" fi binlog_cd=0 if [ -n "$binlog_dir" -a "$binlog_dir" != '.' -a \ "$binlog_dir" != "$DATA_DIR" ] then [ ! -d "$binlog_dir" ] && mkdir -p "$binlog_dir" binlog_cd=1 cd "$binlog_dir" fi # Extracting binlog files: wsrep_log_info "Extracting binlog files:" if tar --version 2>/dev/null | grep -qw -E '^bsdtar'; then tar -tf "$BINLOG_TAR_FILE" > "$tmpfile" && \ tar -xvf "$BINLOG_TAR_FILE" > /dev/null || RC=$? else tar -xvf "$BINLOG_TAR_FILE" > "$tmpfile" && \ cat "$tmpfile" >&2 || RC=$? fi if [ $RC -ne 0 ]; then wsrep_log_error "Error unpacking tar file with binlog files" rm "$tmpfile" exit 32 fi # Rebuild binlog index: [ $binlog_cd -ne 0 ] && cd "$DATA_DIR" while read bin_file || [ -n "$bin_file" ]; do echo "$binlog_dir${binlog_dir:+/}$bin_file" >> "$binlog_index" done < "$tmpfile" rm "$tmpfile" cd "$OLD_PWD" fi fi simulate_long_sst # Remove special tags from the magic file, and from the output: coords=$(head -n1 "$MAGIC_FILE") wsrep_log_info "Galera co-ords from recovery: $coords" echo "$coords" # Output : UUID:seqno wsrep_gtid_domain_id fi wsrep_log_info "$WSREP_METHOD $WSREP_TRANSFER_TYPE completed on $WSREP_SST_OPT_ROLE" exit 0